# azure.mgmt.datamigration.models module

exception `azure.mgmt.datamigration.models.``ApiErrorException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ApiError’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.datamigration.models.``ApiError`(*, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error information.

  Parameters: | error (ODataError) – Error information in OData format

class `azure.mgmt.datamigration.models.``AvailableServiceSku`(*, resource_type: str = None, sku=None, capacity=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the available service SKU.

  Parameters:

  - resource_type (str) – The resource type, including the provider namespace
  - sku (AvailableServiceSkuSku) – SKU name, tier, etc.
  - capacity (AvailableServiceSkuCapacity) – A description of the scaling capacities of the SKU

class `azure.mgmt.datamigration.models.``AvailableServiceSkuCapacity`(*, minimum: int = None, maximum: int = None, default: int = None, scale_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A description of the scaling capacities of the SKU.

  Parameters:

  - minimum (int) – The minimum capacity, usually 0 or 1.
  - maximum (int) – The maximum capacity
  - default (int) – The default capacity
  - scale_type (str or ServiceScalability) – The scalability approach. Possible values include: ‘none’, ‘manual’, ‘automatic’

class `azure.mgmt.datamigration.models.``AvailableServiceSkuSku`(*, name: str = None, family: str = None, size: str = None, tier: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU name, tier, etc.

  Parameters:

  - name (str) – The name of the SKU
  - family (str) – SKU family
  - size (str) – SKU size
  - tier (str) – The tier of the SKU, such as “Basic”, “General Purpose”, or “Business Critical”

class `azure.mgmt.datamigration.models.``AzureActiveDirectoryApp`(*, application_id: str, app_key: str, tenant_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Azure Active Directory Application.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - application_id (str) – Required. Application ID of the Azure Active Directory Application
  - app_key (str) – Required. Key used to authenticate to the Azure Active Directory Application
  - tenant_id (str) – Required. Tenant id of the customer

class `azure.mgmt.datamigration.models.``BackupFileInfo`(*, file_location: str = None, family_sequence_number: int = None, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information of the backup file.

  Parameters:

  - file_location (str) – Location of the backup file in shared folder
  - family_sequence_number (int) – Sequence number of the backup file in the backup set
  - status (str or BackupFileStatus) – Status of the backup file during migration. Possible values include: ‘Arrived’, ‘Queued’, ‘Uploading’, ‘Uploaded’, ‘Restoring’, ‘Restored’, ‘Cancelled’

class `azure.mgmt.datamigration.models.``BackupSetInfo`(*, backup_set_id: str = None, first_lsn: str = None, last_lsn: str = None, last_modified_time=None, backup_type=None, list_of_backup_files=None, database_name: str = None, backup_start_date=None, backup_finished_date=None, is_backup_restored: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information of backup set.

  Parameters:

  - backup_set_id (str) – Id for the set of backup files
  - first_lsn (str) – First log sequence number of the backup file
  - last_lsn (str) – Last log sequence number of the backup file
  - last_modified_time (datetime) – Last modified time of the backup file in share location
  - backup_type (str or BackupType) – Enum of the different backup types. Possible values include: ‘Database’, ‘TransactionLog’, ‘File’, ‘DifferentialDatabase’, ‘DifferentialFile’, ‘Partial’, ‘DifferentialPartial’
  - list_of_backup_files (list[BackupFileInfo]) – List of files in the backup set
  - database_name (str) – Name of the database to which the backup set belongs
  - backup_start_date (datetime) – Date and time that the backup operation began
  - backup_finished_date (datetime) – Date and time that the backup operation finished
  - is_backup_restored (bool) – Whether the backup set is restored or not

class `azure.mgmt.datamigration.models.``BlobShare`(*, sas_uri: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Blob container storage information.

  All required parameters must be populated in order to send to Azure.

  Parameters: | sas_uri (str) – Required. SAS URI of Azure Storage Account Container.

class `azure.mgmt.datamigration.models.``CheckOCIDriverTaskInput`(*, server_version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the service task to check for OCI drivers.

  Parameters: | server_version (str) – Version of the source server to check against. Optional.

class `azure.mgmt.datamigration.models.``CheckOCIDriverTaskOutput`(*, installed_driver=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Output for the service task to check for OCI drivers.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | installed_driver (OracleOCIDriverInfo) – Information about the installed driver if found and valid.
  Variables: | validation_errors (list[ReportableException]) – Validation errors

class `azure.mgmt.datamigration.models.``CheckOCIDriverTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that checks for OCI drivers.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[CheckOCIDriverTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (CheckOCIDriverTaskInput) –

class `azure.mgmt.datamigration.models.``CommandProperties`(**kwargs)

  Bases: `msrest.serialization.Model`

  Base class for all types of DMS command properties. If command is not supported by current client, this object is returned.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateMISyncCompleteCommandProperties, MigrateSyncCompleteCommandProperties, MongoDbCancelCommand, MongoDbFinishCommand, MongoDbRestartCommand

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or CommandState) – The state of the command. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Accepted’, ‘Running’, ‘Succeeded’, ‘Failed’

  Parameters: | command_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``ConnectionInfo`(*, user_name: str = None, password: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Defines the connection properties of a server.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MiSqlConnectionInfo, PostgreSqlConnectionInfo, OracleConnectionInfo, MySqlConnectionInfo, MongoDbConnectionInfo, SqlConnectionInfo

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - user_name (str) – User name
  - password (str) – Password credential.
  - type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``ConnectToMongoDbTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates the connection to and provides information about a MongoDB server.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MongoDbClusterInfo]) – An array containing a single MongoDbClusterInfo object

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MongoDbConnectionInfo) –

class `azure.mgmt.datamigration.models.``ConnectToSourceMySqlTaskInput`(*, source_connection_info, target_platform=None, check_permissions_group=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates MySQL database connection.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (MySqlConnectionInfo) – Required. Information for connecting to MySQL source
  - target_platform (str or MySqlTargetPlatformType) – Target Platform for the migration. Possible values include: ‘SqlServer’, ‘AzureDbForMySQL’
  - check_permissions_group (str or ServerLevelPermissionsGroup) – Permission group for validations. Possible values include: ‘Default’, ‘MigrationFromSqlServerToAzureDB’, ‘MigrationFromSqlServerToAzureMI’, ‘MigrationFromMySQLToAzureDBForMySQL’

class `azure.mgmt.datamigration.models.``ConnectToSourceMySqlTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates MySQL database connection.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToSourceNonSqlTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToSourceMySqlTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToSourceNonSqlTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for connect to MySQL type source.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - source_server_brand_version (str) – Server brand version
  - server_properties (ServerProperties) – Server properties
  - databases (list[str]) – List of databases on the server
  - validation_errors (list[ReportableException]) – Validation errors associated with the task

class `azure.mgmt.datamigration.models.``ConnectToSourceOracleSyncTaskInput`(*, source_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates Oracle database connection.

  All required parameters must be populated in order to send to Azure.

  Parameters: | source_connection_info (OracleConnectionInfo) – Required. Information for connecting to Oracle source

class `azure.mgmt.datamigration.models.``ConnectToSourceOracleSyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that validates Oracle database connection.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - source_server_version (str) – Version of the source server
  - databases (list[str]) – List of schemas on source server
  - source_server_brand_version (str) – Source server brand version
  - validation_errors (list[ReportableException]) – Validation errors associated with the task

class `azure.mgmt.datamigration.models.``ConnectToSourceOracleSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates Oracle database connection.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToSourceOracleSyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToSourceOracleSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToSourcePostgreSqlSyncTaskInput`(*, source_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates connection to PostgreSQL and source server requirements.

  All required parameters must be populated in order to send to Azure.

  Parameters: | source_connection_info (PostgreSqlConnectionInfo) – Required. Connection information for source PostgreSQL server

class `azure.mgmt.datamigration.models.``ConnectToSourcePostgreSqlSyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that validates connection to PostgreSQL and source server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - source_server_version (str) – Version of the source server
  - databases (list[str]) – List of databases on source server
  - source_server_brand_version (str) – Source server brand version
  - validation_errors (list[ReportableException]) – Validation errors associated with the task

class `azure.mgmt.datamigration.models.``ConnectToSourcePostgreSqlSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to PostgreSQL server and source server requirements for online migration.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToSourcePostgreSqlSyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToSourcePostgreSqlSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToSourceSqlServerSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to SQL Server and source server requirements for online migration.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToSourceSqlServerTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToSourceSqlServerTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToSourceSqlServerTaskInput`(*, source_connection_info, check_permissions_group=None, collect_databases: bool = True, collect_logins: bool = False, collect_agent_jobs: bool = False, collect_tde_certificate_info: bool = False, validate_ssis_catalog_only: bool = False, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates connection to SQL Server and also validates source server requirements.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Connection information for Source SQL Server
  - check_permissions_group (str or ServerLevelPermissionsGroup) – Permission group for validations. Possible values include: ‘Default’, ‘MigrationFromSqlServerToAzureDB’, ‘MigrationFromSqlServerToAzureMI’, ‘MigrationFromMySQLToAzureDBForMySQL’
  - collect_databases (bool) – Flag for whether to collect databases from source server. Default value: True .
  - collect_logins (bool) – Flag for whether to collect logins from source server. Default value: False .
  - collect_agent_jobs (bool) – Flag for whether to collect agent jobs from source server. Default value: False .
  - collect_tde_certificate_info (bool) – Flag for whether to collect TDE Certificate names from source server. Default value: False .
  - validate_ssis_catalog_only (bool) – Flag for whether to validate SSIS catalog is reachable on the source server. Default value: False .

class `azure.mgmt.datamigration.models.``ConnectToSourceSqlServerTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that validates connection to SQL Server and also validates source server requirements.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: ConnectToSourceSqlServerTaskOutputAgentJobLevel, ConnectToSourceSqlServerTaskOutputLoginLevel, ConnectToSourceSqlServerTaskOutputDatabaseLevel, ConnectToSourceSqlServerTaskOutputTaskLevel

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``ConnectToSourceSqlServerTaskOutputAgentJobLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectToSourceSqlServerTaskOutput`

  Agent Job level output for the task that validates connection to SQL Server and also validates source server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - name (str) – Agent Job name
  - job_category (str) – The type of Agent Job.
  - is_enabled (bool) – The state of the original Agent Job.
  - job_owner (str) – The owner of the Agent Job
  - last_executed_on (datetime) – UTC Date and time when the Agent Job was last executed.
  - validation_errors (list[ReportableException]) – Validation errors
  - migration_eligibility (MigrationEligibilityInfo) – Information about eligibility of agent job for migration.

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``ConnectToSourceSqlServerTaskOutputDatabaseLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectToSourceSqlServerTaskOutput`

  Database level output for the task that validates connection to SQL Server and also validates source server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - name (str) – Database name
  - size_mb (float) – Size of the file in megabytes
  - database_files (list[DatabaseFileInfo]) – The list of database files
  - compatibility_level (str or DatabaseCompatLevel) – SQL Server compatibility level of database. Possible values include: ‘CompatLevel80’, ‘CompatLevel90’, ‘CompatLevel100’, ‘CompatLevel110’, ‘CompatLevel120’, ‘CompatLevel130’, ‘CompatLevel140’
  - database_state (str or DatabaseState) – State of the database. Possible values include: ‘Online’, ‘Restoring’, ‘Recovering’, ‘RecoveryPending’, ‘Suspect’, ‘Emergency’, ‘Offline’, ‘Copying’, ‘OfflineSecondary’

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``ConnectToSourceSqlServerTaskOutputLoginLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectToSourceSqlServerTaskOutput`

  Login level output for the task that validates connection to SQL Server and also validates source server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - name (str) – Login name.
  - login_type (str or LoginType) – The type of login. Possible values include: ‘WindowsUser’, ‘WindowsGroup’, ‘SqlLogin’, ‘Certificate’, ‘AsymmetricKey’, ‘ExternalUser’, ‘ExternalGroup’
  - default_database (str) – The default database for the login.
  - is_enabled (bool) – The state of the login.
  - migration_eligibility (MigrationEligibilityInfo) – Information about eligibility of login for migration.

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``ConnectToSourceSqlServerTaskOutputTaskLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectToSourceSqlServerTaskOutput`

  Task level output for the task that validates connection to SQL Server and also validates source server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - databases (dict[str, str]) – Source databases as a map from database name to database id
  - logins (dict[str, str]) – Source logins as a map from login name to login id.
  - agent_jobs (dict[str, str]) – Source agent jobs as a map from agent job name to id.
  - database_tde_certificate_mapping (dict[str, str]) – Mapping from database name to TDE certificate name, if applicable
  - source_server_version (str) – Source server version
  - source_server_brand_version (str) – Source server brand version
  - validation_errors (list[ReportableException]) – Validation errors

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``ConnectToSourceSqlServerTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to SQL Server and also validates source server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToSourceSqlServerTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToSourceSqlServerTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToTargetAzureDbForMySqlTaskInput`(*, source_connection_info, target_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates connection to Azure Database for MySQL and target server requirements.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (MySqlConnectionInfo) – Required. Connection information for source MySQL server
  - target_connection_info (MySqlConnectionInfo) – Required. Connection information for target Azure Database for MySQL server

class `azure.mgmt.datamigration.models.``ConnectToTargetAzureDbForMySqlTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that validates connection to Azure Database for MySQL and target server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - server_version (str) – Version of the target server
  - databases (list[str]) – List of databases on target server
  - target_server_brand_version (str) – Target server brand version
  - validation_errors (list[ReportableException]) – Validation errors associated with the task

class `azure.mgmt.datamigration.models.``ConnectToTargetAzureDbForMySqlTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to Azure Database for MySQL and target server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToTargetAzureDbForMySqlTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToTargetAzureDbForMySqlTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToTargetAzureDbForPostgreSqlSyncTaskInput`(*, source_connection_info, target_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates connection to Azure Database for PostgreSQL and target server requirements.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (PostgreSqlConnectionInfo) – Required. Connection information for source PostgreSQL server
  - target_connection_info (PostgreSqlConnectionInfo) – Required. Connection information for target Azure Database for PostgreSQL server

class `azure.mgmt.datamigration.models.``ConnectToTargetAzureDbForPostgreSqlSyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that validates connection to Azure Database for PostgreSQL and target server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - target_server_version (str) – Version of the target server
  - databases (list[str]) – List of databases on target server
  - target_server_brand_version (str) – Target server brand version
  - validation_errors (list[ReportableException]) – Validation errors associated with the task

class `azure.mgmt.datamigration.models.``ConnectToTargetAzureDbForPostgreSqlSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to Azure Database For PostgreSQL server and target server requirements for online migration.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToTargetAzureDbForPostgreSqlSyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToTargetAzureDbForPostgreSqlSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskInput`(*, target_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates connection to Azure Database for PostgreSQL and target server requirements for Oracle source.

  All required parameters must be populated in order to send to Azure.

  Parameters: | target_connection_info (PostgreSqlConnectionInfo) – Required. Connection information for target Azure Database for PostgreSQL server

class `azure.mgmt.datamigration.models.``ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutput`(*, database_schema_map=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that validates connection to Azure Database for PostgreSQL and target server requirements for Oracle source.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - target_server_version (str) – Version of the target server
  - databases (list[str]) – List of databases on target server
  - target_server_brand_version (str) – Target server brand version
  - validation_errors (list[ReportableException]) – Validation errors associated with the task

  Parameters: | database_schema_map (list[ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutputDatabaseSchemaMapItem]) – Mapping of schemas per database

class `azure.mgmt.datamigration.models.``ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutputDatabaseSchemaMapItem`(*, database: str = None, schemas=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutputDatabaseSchemaMapItem.

  Parameters:

  - database (str) –
  - schemas (list[str]) –

class `azure.mgmt.datamigration.models.``ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to Azure Database For PostgreSQL server and target server requirements for online migration for Oracle source.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlDbTaskInput`(*, target_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates connection to SQL DB and target server requirements.

  All required parameters must be populated in order to send to Azure.

  Parameters: | target_connection_info (SqlConnectionInfo) – Required. Connection information for target SQL DB

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlDbTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that validates connection to SQL DB and target server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - databases (dict[str, str]) – Source databases as a map from database name to database id
  - target_server_version (str) – Version of the target server
  - target_server_brand_version (str) – Target server brand version

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlDbTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to SQL DB and target server requirements.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToTargetSqlDbTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToTargetSqlDbTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlMISyncTaskInput`(*, target_connection_info, azure_app, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates connection to Azure SQL Database Managed Instance online scenario.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target_connection_info (MiSqlConnectionInfo) – Required. Connection information for Azure SQL Database Managed Instance
  - azure_app (AzureActiveDirectoryApp) – Required. Azure Active Directory Application the DMS instance will use to connect to the target instance of Azure SQL Database Managed Instance and the Azure Storage Account

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlMISyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that validates connection to Azure SQL Database Managed Instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - target_server_version (str) – Target server version
  - target_server_brand_version (str) – Target server brand version
  - validation_errors (list[ReportableException]) – Validation errors

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlMISyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to Azure SQL Database Managed Instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToTargetSqlMISyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToTargetSqlMISyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlMITaskInput`(*, target_connection_info, collect_logins: bool = True, collect_agent_jobs: bool = True, validate_ssis_catalog_only: bool = False, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates connection to Azure SQL Database Managed Instance.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target_connection_info (SqlConnectionInfo) – Required. Connection information for target SQL Server
  - collect_logins (bool) – Flag for whether to collect logins from target SQL MI server. Default value: True .
  - collect_agent_jobs (bool) – Flag for whether to collect agent jobs from target SQL MI server. Default value: True .
  - validate_ssis_catalog_only (bool) – Flag for whether to validate SSIS catalog is reachable on the target SQL MI server. Default value: False .

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlMITaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that validates connection to Azure SQL Database Managed Instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - target_server_version (str) – Target server version
  - target_server_brand_version (str) – Target server brand version
  - logins (list[str]) – List of logins on the target server.
  - agent_jobs (list[str]) – List of agent jobs on the target server.
  - validation_errors (list[ReportableException]) – Validation errors

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlMITaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to Azure SQL Database Managed Instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToTargetSqlMITaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToTargetSqlMITaskInput) – Task input

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlSqlDbSyncTaskInput`(*, source_connection_info, target_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that validates connection to Azure SQL DB and target server requirements.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Connection information for source SQL Server
  - target_connection_info (SqlConnectionInfo) – Required. Connection information for target SQL DB

class `azure.mgmt.datamigration.models.``ConnectToTargetSqlSqlDbSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates connection to SQL DB and target server requirements for online migration.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ConnectToTargetSqlDbTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ConnectToTargetSqlSqlDbSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``Database`(*, id: str = None, name: str = None, compatibility_level=None, collation: str = None, server_name: str = None, fqdn: str = None, install_id: str = None, server_version: str = None, server_edition: str = None, server_level: str = None, server_default_data_path: str = None, server_default_log_path: str = None, server_default_backup_path: str = None, server_core_count: int = None, server_visible_online_core_count: int = None, database_state=None, server_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information about a single database.

  Parameters:

  - id (str) – Unique identifier for the database
  - name (str) – Name of the database
  - compatibility_level (str or DatabaseCompatLevel) – SQL Server compatibility level of database. Possible values include: ‘CompatLevel80’, ‘CompatLevel90’, ‘CompatLevel100’, ‘CompatLevel110’, ‘CompatLevel120’, ‘CompatLevel130’, ‘CompatLevel140’
  - collation (str) – Collation name of the database
  - server_name (str) – Name of the server
  - fqdn (str) – Fully qualified name
  - install_id (str) – Install id of the database
  - server_version (str) – Version of the server
  - server_edition (str) – Edition of the server
  - server_level (str) – Product level of the server (RTM, SP, CTP).
  - server_default_data_path (str) – Default path of the data files
  - server_default_log_path (str) – Default path of the log files
  - server_default_backup_path (str) – Default path of the backup folder
  - server_core_count (int) – Number of cores on the server
  - server_visible_online_core_count (int) – Number of cores on the server that have VISIBLE ONLINE status
  - database_state (str or DatabaseState) – State of the database. Possible values include: ‘Online’, ‘Restoring’, ‘Recovering’, ‘RecoveryPending’, ‘Suspect’, ‘Emergency’, ‘Offline’, ‘Copying’, ‘OfflineSecondary’
  - server_id (str) – The unique Server Id

class `azure.mgmt.datamigration.models.``DatabaseBackupInfo`(**kwargs)

  Bases: `msrest.serialization.Model`

  Information about backup files when existing backup mode is used.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - database_name (str) – Database name.
  - backup_type (str or BackupType) – Backup Type. Possible values include: ‘Database’, ‘TransactionLog’, ‘File’, ‘DifferentialDatabase’, ‘DifferentialFile’, ‘Partial’, ‘DifferentialPartial’
  - backup_files (list[str]) – The list of backup files for the current database.
  - position (int) – Position of current database backup in the file.
  - is_damaged (bool) – Database was damaged when backed up, but the backup operation was requested to continue despite errors.
  - is_compressed (bool) – Whether the backup set is compressed
  - family_count (int) – Number of files in the backup set.
  - backup_finish_date (datetime) – Date and time when the backup operation finished.

class `azure.mgmt.datamigration.models.``DatabaseFileInfo`(*, database_name: str = None, id: str = None, logical_name: str = None, physical_full_name: str = None, restore_full_name: str = None, file_type=None, size_mb: float = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database file specific information.

  Parameters:

  - database_name (str) – Name of the database
  - id (str) – Unique identifier for database file
  - logical_name (str) – Logical name of the file
  - physical_full_name (str) – Operating-system full path of the file
  - restore_full_name (str) – Suggested full path of the file for restoring
  - file_type (str or DatabaseFileType) – Database file type. Possible values include: ‘Rows’, ‘Log’, ‘Filestream’, ‘NotSupported’, ‘Fulltext’
  - size_mb (float) – Size of the file in megabytes

class `azure.mgmt.datamigration.models.``DatabaseFileInput`(*, id: str = None, logical_name: str = None, physical_full_name: str = None, restore_full_name: str = None, file_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database file specific information for input.

  Parameters:

  - id (str) – Unique identifier for database file
  - logical_name (str) – Logical name of the file
  - physical_full_name (str) – Operating-system full path of the file
  - restore_full_name (str) – Suggested full path of the file for restoring
  - file_type (str or DatabaseFileType) – Database file type. Possible values include: ‘Rows’, ‘Log’, ‘Filestream’, ‘NotSupported’, ‘Fulltext’

class `azure.mgmt.datamigration.models.``DatabaseInfo`(*, source_database_name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Project Database Details.

  All required parameters must be populated in order to send to Azure.

  Parameters: | source_database_name (str) – Required. Name of the database

class `azure.mgmt.datamigration.models.``DatabaseObjectName`(*, object_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A representation of the name of an object in a database.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - database_name (str) – The unescaped name of the database containing the object
  - object_name (str) – The unescaped name of the object
  - schema_name (str) – The unescaped name of the schema containing the object

  Parameters: | object_type (str or ObjectType) – Type of the object in the database. Possible values include: ‘StoredProcedures’, ‘Table’, ‘User’, ‘View’, ‘Function’

class `azure.mgmt.datamigration.models.``DatabaseSummaryResult`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.DataItemMigrationSummaryResult`

  Summary of database results in the migration.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Name of the item
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - status_message (str) – Status message
  - items_count (long) – Number of items
  - items_completed_count (long) – Number of successfully completed items
  - error_prefix (str) – Wildcard string prefix to use for querying all errors of the item
  - result_prefix (str) – Wildcard string prefix to use for querying all sub-tem results of the item
  - size_mb (float) – Size of the database in megabytes

class `azure.mgmt.datamigration.models.``DatabaseTable`(**kwargs)

  Bases: `msrest.serialization.Model`

  Table properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - has_rows (bool) – Indicates whether table is empty or not
  - name (str) – Schema-qualified name of the table

class `azure.mgmt.datamigration.models.``DataIntegrityValidationResult`(*, failed_objects=None, validation_errors=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Results for checksum based Data Integrity validation results.

  Parameters:

  - failed_objects (dict[str, str]) – List of failed table names of source and target pair
  - validation_errors (ValidationError) – List of errors that happened while performing data integrity validation

class `azure.mgmt.datamigration.models.``DataItemMigrationSummaryResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  Basic summary of a data item migration.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Name of the item
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - status_message (str) – Status message
  - items_count (long) – Number of items
  - items_completed_count (long) – Number of successfully completed items
  - error_prefix (str) – Wildcard string prefix to use for querying all errors of the item
  - result_prefix (str) – Wildcard string prefix to use for querying all sub-tem results of the item

class `azure.mgmt.datamigration.models.``DataMigrationError`(*, type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Migration Task errors.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | message (str) – Error description
  Parameters: | type (str or ErrorType) – Possible values include: ‘Default’, ‘Warning’, ‘Error’

class `azure.mgmt.datamigration.models.``DataMigrationProjectMetadata`(**kwargs)

  Bases: `msrest.serialization.Model`

  Common metadata for migration projects.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - source_server_name (str) – Source server name
  - source_server_port (str) – Source server port number
  - source_username (str) – Source username
  - target_server_name (str) – Target server name
  - target_username (str) – Target username
  - target_db_name (str) – Target database name
  - target_using_win_auth (bool) – Whether target connection is Windows authentication
  - selected_migration_tables (list[MigrationTableMetadata]) – List of tables selected for migration

class `azure.mgmt.datamigration.models.``DataMigrationService`(*, location: str, virtual_subnet_id: str, tags=None, etag: str = None, kind: str = None, public_key: str = None, sku=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.TrackedResource`

  A Database Migration Service resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - provisioning_state (str or ServiceProvisioningState) – The resource’s provisioning state. Possible values include: ‘Accepted’, ‘Deleting’, ‘Deploying’, ‘Stopped’, ‘Stopping’, ‘Starting’, ‘FailedToStart’, ‘FailedToStop’, ‘Succeeded’, ‘Failed’

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – Required. Resource location.
  - etag (str) – HTTP strong entity tag value. Ignored if submitted
  - kind (str) – The resource kind. Only ‘vm’ (the default) is supported.
  - public_key (str) – The public key of the service, used to encrypt secrets sent to the service
  - virtual_subnet_id (str) – Required. The ID of the Microsoft.Network/virtualNetworks/subnets resource to which the service should be joined
  - sku (ServiceSku) – Service SKU

class `azure.mgmt.datamigration.models.``DataMigrationServiceStatusResponse`(*, agent_version: str = None, status: str = None, vm_size: str = None, supported_task_types=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Service health status.

  Parameters:

  - agent_version (str) – The DMS instance agent version
  - status (str) – The machine-readable status, such as ‘Initializing’, ‘Offline’, ‘Online’, ‘Deploying’, ‘Deleting’, ‘Stopped’, ‘Stopping’, ‘Starting’, ‘FailedToStart’, ‘FailedToStop’ or ‘Failed’
  - vm_size (str) – The services virtual machine size, such as ‘Standard_D2_v2’
  - supported_task_types (list[str]) – The list of supported task types

class `azure.mgmt.datamigration.models.``ExecutionStatistics`(*, execution_count: int = None, cpu_time_ms: float = None, elapsed_time_ms: float = None, wait_stats=None, has_errors: bool = None, sql_errors=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description about the errors happen while performing migration validation.

  Parameters:

  - execution_count (long) – No. of query executions
  - cpu_time_ms (float) – CPU Time in millisecond(s) for the query execution
  - elapsed_time_ms (float) – Time taken in millisecond(s) for executing the query
  - wait_stats (dict[str, WaitStatistics]) – Dictionary of sql query execution wait types and the respective statistics
  - has_errors (bool) – Indicates whether the query resulted in an error
  - sql_errors (list[str]) – List of sql Errors

class `azure.mgmt.datamigration.models.``FileShare`(*, path: str, user_name: str = None, password: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  File share information with Path, Username, and Password.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - user_name (str) – User name credential to connect to the share location
  - password (str) – Password credential used to connect to the share location.
  - path (str) – Required. The folder path for this share.

class `azure.mgmt.datamigration.models.``FileStorageInfo`(*, uri: str = None, headers=None, **kwargs)

  Bases: `msrest.serialization.Model`

  File storage information.

  Parameters:

  - uri (str) – A URI that can be used to access the file content.
  - headers (dict[str, str]) –

class `azure.mgmt.datamigration.models.``GetProjectDetailsNonSqlTaskInput`(*, project_name: str, project_location: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that reads configuration from project artifacts.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - project_name (str) – Required. Name of the migration project
  - project_location (str) – Required. A URL that points to the location to access project artifacts

class `azure.mgmt.datamigration.models.``GetTdeCertificatesSqlTaskInput`(*, connection_info, backup_file_share, selected_certificates, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that gets TDE certificates in Base64 encoded format.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - connection_info (SqlConnectionInfo) – Required. Connection information for SQL Server
  - backup_file_share (FileShare) – Required. Backup file share information for file share to be used for temporarily storing files.
  - selected_certificates (list[SelectedCertificateInput]) – Required. List containing certificate names and corresponding password to use for encrypting the exported certificate.

class `azure.mgmt.datamigration.models.``GetTdeCertificatesSqlTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output of the task that gets TDE certificates in Base64 encoded format.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - base64_encoded_certificates (dict[str, list[str]]) – Mapping from certificate name to base 64 encoded format.
  - validation_errors (list[ReportableException]) – Validation errors

class `azure.mgmt.datamigration.models.``GetTdeCertificatesSqlTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that gets TDE certificates in Base64 encoded format.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[GetTdeCertificatesSqlTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (GetTdeCertificatesSqlTaskInput) – Task input

class `azure.mgmt.datamigration.models.``GetUserTablesOracleTaskInput`(*, connection_info, selected_schemas, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that gets the list of tables contained within a provided list of Oracle schemas.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - connection_info (OracleConnectionInfo) – Required. Information for connecting to Oracle source
  - selected_schemas (list[str]) – Required. List of Oracle schemas for which to collect tables

class `azure.mgmt.datamigration.models.``GetUserTablesOracleTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that gets the list of tables contained within a provided list of Oracle schemas.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - schema_name (str) – The schema this result is for
  - tables (list[DatabaseTable]) – List of valid tables found for this schema
  - validation_errors (list[ReportableException]) – Validation errors associated with the task

class `azure.mgmt.datamigration.models.``GetUserTablesOracleTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that collects user tables for the given list of Oracle schemas.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[GetUserTablesOracleTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (GetUserTablesOracleTaskInput) – Task input

class `azure.mgmt.datamigration.models.``GetUserTablesPostgreSqlTaskInput`(*, connection_info, selected_databases, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that gets the list of tables for a provided list of PostgreSQL databases.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - connection_info (PostgreSqlConnectionInfo) – Required. Information for connecting to PostgreSQL source
  - selected_databases (list[str]) – Required. List of PostgreSQL databases for which to collect tables

class `azure.mgmt.datamigration.models.``GetUserTablesPostgreSqlTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that gets the list of tables for a provided list of PostgreSQL databases.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - database_name (str) – The database this result is for
  - tables (list[DatabaseTable]) – List of valid tables found for this database
  - validation_errors (list[ReportableException]) – Validation errors associated with the task

class `azure.mgmt.datamigration.models.``GetUserTablesPostgreSqlTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that collects user tables for the given list of databases.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[GetUserTablesPostgreSqlTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (GetUserTablesPostgreSqlTaskInput) – Task input

class `azure.mgmt.datamigration.models.``GetUserTablesSqlSyncTaskInput`(*, source_connection_info, target_connection_info, selected_source_databases, selected_target_databases, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that collects user tables for the given list of databases.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Connection information for SQL Server
  - target_connection_info (SqlConnectionInfo) – Required. Connection information for SQL DB
  - selected_source_databases (list[str]) – Required. List of source database names to collect tables for
  - selected_target_databases (list[str]) – Required. List of target database names to collect tables for

class `azure.mgmt.datamigration.models.``GetUserTablesSqlSyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output of the task that collects user tables for the given list of databases.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - databases_to_source_tables (dict[str, list[DatabaseTable]]) – Mapping from database name to list of source tables
  - databases_to_target_tables (dict[str, list[DatabaseTable]]) – Mapping from database name to list of target tables
  - table_validation_errors (dict[str, list[str]]) – Mapping from database name to list of validation errors
  - validation_errors (list[ReportableException]) – Validation errors

class `azure.mgmt.datamigration.models.``GetUserTablesSqlSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that collects user tables for the given list of databases.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[GetUserTablesSqlSyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (GetUserTablesSqlSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``GetUserTablesSqlTaskInput`(*, connection_info, selected_databases, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that collects user tables for the given list of databases.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - connection_info (SqlConnectionInfo) – Required. Connection information for SQL Server
  - selected_databases (list[str]) – Required. List of database names to collect tables for

class `azure.mgmt.datamigration.models.``GetUserTablesSqlTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output of the task that collects user tables for the given list of databases.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - databases_to_tables (dict[str, list[DatabaseTable]]) – Mapping from database name to list of tables
  - validation_errors (list[ReportableException]) – Validation errors

class `azure.mgmt.datamigration.models.``GetUserTablesSqlTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that collects user tables for the given list of databases.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[GetUserTablesSqlTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (GetUserTablesSqlTaskInput) – Task input

class `azure.mgmt.datamigration.models.``InstallOCIDriverTaskInput`(*, driver_package_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the service task to install an OCI driver.

  Parameters: | driver_package_name (str) – Name of the uploaded driver package to install.

class `azure.mgmt.datamigration.models.``InstallOCIDriverTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the service task to install an OCI driver.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | validation_errors (list[ReportableException]) – Validation errors

class `azure.mgmt.datamigration.models.``InstallOCIDriverTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that installs an OCI driver.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[InstallOCIDriverTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (InstallOCIDriverTaskInput) –

class `azure.mgmt.datamigration.models.``MigrateMISyncCompleteCommandInput`(*, source_database_name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for command that completes online migration for an Azure SQL Database Managed Instance.

  All required parameters must be populated in order to send to Azure.

  Parameters: | source_database_name (str) – Required. Name of managed instance database

class `azure.mgmt.datamigration.models.``MigrateMISyncCompleteCommandOutput`(*, errors=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Output for command that completes online migration for an Azure SQL Database Managed Instance.

  Parameters: | errors (list[ReportableException]) – List of errors that happened during the command execution

class `azure.mgmt.datamigration.models.``MigrateMISyncCompleteCommandProperties`(*, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.CommandProperties`

  Properties for the command that completes online migration for an Azure SQL Database Managed Instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or CommandState) – The state of the command. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Accepted’, ‘Running’, ‘Succeeded’, ‘Failed’
  - output (MigrateMISyncCompleteCommandOutput) – Command output. This is ignored if submitted.

  Parameters:

  - command_type (str) – Required. Constant filled by server.
  - input (MigrateMISyncCompleteCommandInput) – Command input

class `azure.mgmt.datamigration.models.``MigrateMongoDbTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that migrates data between MongoDB data sources.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MongoDbProgress]) –

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MongoDbMigrationSettings) –

class `azure.mgmt.datamigration.models.``MigrateMySqlAzureDbForMySqlSyncDatabaseInput`(*, name: str = None, target_database_name: str = None, migration_setting=None, source_setting=None, target_setting=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database specific information for MySQL to Azure Database for MySQL migration task inputs.

  Parameters:

  - name (str) – Name of the database
  - target_database_name (str) – Name of target database. Note: Target database will be truncated before starting migration.
  - migration_setting (dict[str, str]) – Migration settings which tune the migration behavior
  - source_setting (dict[str, str]) – Source settings to tune source endpoint migration behavior
  - target_setting (dict[str, str]) – Target settings to tune target endpoint migration behavior

class `azure.mgmt.datamigration.models.``MigrateMySqlAzureDbForMySqlSyncTaskInput`(*, source_connection_info, target_connection_info, selected_databases, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that migrates MySQL databases to Azure Database for MySQL for online migrations.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (MySqlConnectionInfo) – Required. Connection information for source MySQL
  - target_connection_info (MySqlConnectionInfo) – Required. Connection information for target Azure Database for MySQL
  - selected_databases (list[MigrateMySqlAzureDbForMySqlSyncDatabaseInput]) – Required. Databases to migrate

class `azure.mgmt.datamigration.models.``MigrateMySqlAzureDbForMySqlSyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that migrates MySQL databases to Azure Database for MySQL for online migrations.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseError, MigrateMySqlAzureDbForMySqlSyncTaskOutputError, MigrateMySqlAzureDbForMySqlSyncTaskOutputTableLevel, MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseLevel, MigrateMySqlAzureDbForMySqlSyncTaskOutputMigrationLevel

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseError`(*, error_message: str = None, events=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateMySqlAzureDbForMySqlSyncTaskOutput`

  MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier

  Parameters:

  - result_type (str) – Required. Constant filled by server.
  - error_message (str) – Error message
  - events (list[SyncMigrationDatabaseErrorEvent]) – List of error events.

class `azure.mgmt.datamigration.models.``MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateMySqlAzureDbForMySqlSyncTaskOutput`

  MigrateMySqlAzureDbForMySqlSyncTaskOutputDatabaseLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - database_name (str) – Name of the database
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - migration_state (str or SyncDatabaseMigrationReportingState) – Migration state that this database is in. Possible values include: ‘UNDEFINED’, ‘CONFIGURING’, ‘INITIALIAZING’, ‘STARTING’, ‘RUNNING’, ‘READY_TO_COMPLETE’, ‘COMPLETING’, ‘COMPLETE’, ‘CANCELLING’, ‘CANCELLED’, ‘FAILED’
  - incoming_changes (long) – Number of incoming changes
  - applied_changes (long) – Number of applied changes
  - cdc_insert_counter (long) – Number of cdc inserts
  - cdc_delete_counter (long) – Number of cdc deletes
  - cdc_update_counter (long) – Number of cdc updates
  - full_load_completed_tables (long) – Number of tables completed in full load
  - full_load_loading_tables (long) – Number of tables loading in full load
  - full_load_queued_tables (long) – Number of tables queued in full load
  - full_load_errored_tables (long) – Number of tables errored in full load
  - initialization_completed (bool) – Indicates if initial load (full load) has been completed
  - latency (long) – CDC apply latency

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateMySqlAzureDbForMySqlSyncTaskOutputError`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateMySqlAzureDbForMySqlSyncTaskOutput`

  MigrateMySqlAzureDbForMySqlSyncTaskOutputError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - error (ReportableException) – Migration error

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateMySqlAzureDbForMySqlSyncTaskOutputMigrationLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateMySqlAzureDbForMySqlSyncTaskOutput`

  MigrateMySqlAzureDbForMySqlSyncTaskOutputMigrationLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - source_server_version (str) – Source server version
  - source_server (str) – Source server name
  - target_server_version (str) – Target server version
  - target_server (str) – Target server name

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateMySqlAzureDbForMySqlSyncTaskOutputTableLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateMySqlAzureDbForMySqlSyncTaskOutput`

  MigrateMySqlAzureDbForMySqlSyncTaskOutputTableLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - table_name (str) – Name of the table
  - database_name (str) – Name of the database
  - cdc_insert_counter (str) – Number of applied inserts
  - cdc_update_counter (str) – Number of applied updates
  - cdc_delete_counter (str) – Number of applied deletes
  - full_load_est_finish_time (datetime) – Estimate to finish full load
  - full_load_started_on (datetime) – Full load start time
  - full_load_ended_on (datetime) – Full load end time
  - full_load_total_rows (long) – Number of rows applied in full load
  - state (str or SyncTableMigrationState) – Current state of the table migration. Possible values include: ‘BEFORE_LOAD’, ‘FULL_LOAD’, ‘COMPLETED’, ‘CANCELED’, ‘ERROR’, ‘FAILED’
  - total_changes_applied (long) – Total number of applied changes
  - data_errors_counter (long) – Number of data errors occurred
  - last_modified_time (datetime) – Last modified time on target

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateMySqlAzureDbForMySqlSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that migrates MySQL databases to Azure Database for MySQL for online migrations.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MigrateMySqlAzureDbForMySqlSyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigrateMySqlAzureDbForMySqlSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``MigrateOracleAzureDbForPostgreSqlSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that migrates Oracle to Azure Database for PostgreSQL for online migrations.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MigrateOracleAzureDbPostgreSqlSyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigrateOracleAzureDbPostgreSqlSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``MigrateOracleAzureDbPostgreSqlSyncDatabaseInput`(*, case_manipulation: str = None, name: str = None, schema_name: str = None, table_map=None, target_database_name: str = None, migration_setting=None, source_setting=None, target_setting=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database specific information for Oracle to Azure Database for PostgreSQL migration task inputs.

  Parameters:

  - case_manipulation (str) – How to handle object name casing: either Preserve or ToLower
  - name (str) – Name of the migration pipeline
  - schema_name (str) – Name of the source schema
  - table_map (dict[str, str]) – Mapping of source to target tables
  - target_database_name (str) – Name of target database. Note: Target database will be truncated before starting migration.
  - migration_setting (dict[str, str]) – Migration settings which tune the migration behavior
  - source_setting (dict[str, str]) – Source settings to tune source endpoint migration behavior
  - target_setting (dict[str, str]) – Target settings to tune target endpoint migration behavior

class `azure.mgmt.datamigration.models.``MigrateOracleAzureDbPostgreSqlSyncTaskInput`(*, selected_databases, target_connection_info, source_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that migrates Oracle databases to Azure Database for PostgreSQL for online migrations.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - selected_databases (list[MigrateOracleAzureDbPostgreSqlSyncDatabaseInput]) – Required. Databases to migrate
  - target_connection_info (PostgreSqlConnectionInfo) – Required. Connection information for target Azure Database for PostgreSQL
  - source_connection_info (OracleConnectionInfo) – Required. Connection information for source Oracle

class `azure.mgmt.datamigration.models.``MigrateOracleAzureDbPostgreSqlSyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that migrates Oracle databases to Azure Database for PostgreSQL for online migrations.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseError, MigrateOracleAzureDbPostgreSqlSyncTaskOutputError, MigrateOracleAzureDbPostgreSqlSyncTaskOutputTableLevel, MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseLevel, MigrateOracleAzureDbPostgreSqlSyncTaskOutputMigrationLevel

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseError`(*, error_message: str = None, events=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateOracleAzureDbPostgreSqlSyncTaskOutput`

  MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier

  Parameters:

  - result_type (str) – Required. Constant filled by server.
  - error_message (str) – Error message
  - events (list[SyncMigrationDatabaseErrorEvent]) – List of error events.

class `azure.mgmt.datamigration.models.``MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateOracleAzureDbPostgreSqlSyncTaskOutput`

  MigrateOracleAzureDbPostgreSqlSyncTaskOutputDatabaseLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - database_name (str) – Name of the database
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - migration_state (str or SyncDatabaseMigrationReportingState) – Migration state that this database is in. Possible values include: ‘UNDEFINED’, ‘CONFIGURING’, ‘INITIALIAZING’, ‘STARTING’, ‘RUNNING’, ‘READY_TO_COMPLETE’, ‘COMPLETING’, ‘COMPLETE’, ‘CANCELLING’, ‘CANCELLED’, ‘FAILED’
  - incoming_changes (long) – Number of incoming changes
  - applied_changes (long) – Number of applied changes
  - cdc_insert_counter (long) – Number of cdc inserts
  - cdc_delete_counter (long) – Number of cdc deletes
  - cdc_update_counter (long) – Number of cdc updates
  - full_load_completed_tables (long) – Number of tables completed in full load
  - full_load_loading_tables (long) – Number of tables loading in full load
  - full_load_queued_tables (long) – Number of tables queued in full load
  - full_load_errored_tables (long) – Number of tables errored in full load
  - initialization_completed (bool) – Indicates if initial load (full load) has been completed
  - latency (long) – CDC apply latency

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateOracleAzureDbPostgreSqlSyncTaskOutputError`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateOracleAzureDbPostgreSqlSyncTaskOutput`

  MigrateOracleAzureDbPostgreSqlSyncTaskOutputError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - error (ReportableException) – Migration error

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateOracleAzureDbPostgreSqlSyncTaskOutputMigrationLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateOracleAzureDbPostgreSqlSyncTaskOutput`

  MigrateOracleAzureDbPostgreSqlSyncTaskOutputMigrationLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - source_server_version (str) – Source server version
  - source_server (str) – Source server name
  - target_server_version (str) – Target server version
  - target_server (str) – Target server name

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateOracleAzureDbPostgreSqlSyncTaskOutputTableLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateOracleAzureDbPostgreSqlSyncTaskOutput`

  MigrateOracleAzureDbPostgreSqlSyncTaskOutputTableLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - table_name (str) – Name of the table
  - database_name (str) – Name of the database
  - cdc_insert_counter (long) – Number of applied inserts
  - cdc_update_counter (long) – Number of applied updates
  - cdc_delete_counter (long) – Number of applied deletes
  - full_load_est_finish_time (datetime) – Estimate to finish full load
  - full_load_started_on (datetime) – Full load start time
  - full_load_ended_on (datetime) – Full load end time
  - full_load_total_rows (long) – Number of rows applied in full load
  - state (str or SyncTableMigrationState) – Current state of the table migration. Possible values include: ‘BEFORE_LOAD’, ‘FULL_LOAD’, ‘COMPLETED’, ‘CANCELED’, ‘ERROR’, ‘FAILED’
  - total_changes_applied (long) – Total number of applied changes
  - data_errors_counter (long) – Number of data errors occurred
  - last_modified_time (datetime) – Last modified time on target

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigratePostgreSqlAzureDbForPostgreSqlSyncDatabaseInput`(*, name: str = None, target_database_name: str = None, migration_setting=None, source_setting=None, target_setting=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database specific information for PostgreSQL to Azure Database for PostgreSQL migration task inputs.

  Parameters:

  - name (str) – Name of the database
  - target_database_name (str) – Name of target database. Note: Target database will be truncated before starting migration.
  - migration_setting (dict[str, str]) – Migration settings which tune the migration behavior
  - source_setting (dict[str, str]) – Source settings to tune source endpoint migration behavior
  - target_setting (dict[str, str]) – Target settings to tune target endpoint migration behavior

class `azure.mgmt.datamigration.models.``MigratePostgreSqlAzureDbForPostgreSqlSyncTaskInput`(*, selected_databases, target_connection_info, source_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the task that migrates PostgreSQL databases to Azure Database for PostgreSQL for online migrations.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - selected_databases (list[MigratePostgreSqlAzureDbForPostgreSqlSyncDatabaseInput]) – Required. Databases to migrate
  - target_connection_info (PostgreSqlConnectionInfo) – Required. Connection information for target Azure Database for PostgreSQL
  - source_connection_info (PostgreSqlConnectionInfo) – Required. Connection information for source PostgreSQL

class `azure.mgmt.datamigration.models.``MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that migrates PostgreSQL databases to Azure Database for PostgreSQL for online migrations.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseError, MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputError, MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputTableLevel, MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseLevel, MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputMigrationLevel

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseError`(*, error_message: str = None, events=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutput`

  MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier

  Parameters:

  - result_type (str) – Required. Constant filled by server.
  - error_message (str) – Error message
  - events (list[SyncMigrationDatabaseErrorEvent]) – List of error events.

class `azure.mgmt.datamigration.models.``MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutput`

  MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputDatabaseLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - database_name (str) – Name of the database
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - migration_state (str or SyncDatabaseMigrationReportingState) – Migration state that this database is in. Possible values include: ‘UNDEFINED’, ‘CONFIGURING’, ‘INITIALIAZING’, ‘STARTING’, ‘RUNNING’, ‘READY_TO_COMPLETE’, ‘COMPLETING’, ‘COMPLETE’, ‘CANCELLING’, ‘CANCELLED’, ‘FAILED’
  - incoming_changes (long) – Number of incoming changes
  - applied_changes (long) – Number of applied changes
  - cdc_insert_counter (long) – Number of cdc inserts
  - cdc_delete_counter (long) – Number of cdc deletes
  - cdc_update_counter (long) – Number of cdc updates
  - full_load_completed_tables (long) – Number of tables completed in full load
  - full_load_loading_tables (long) – Number of tables loading in full load
  - full_load_queued_tables (long) – Number of tables queued in full load
  - full_load_errored_tables (long) – Number of tables errored in full load
  - initialization_completed (bool) – Indicates if initial load (full load) has been completed
  - latency (long) – CDC apply latency

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputError`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutput`

  MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - error (ReportableException) – Migration error

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputMigrationLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutput`

  MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputMigrationLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - source_server_version (str) – Source server version
  - source_server (str) – Source server name
  - target_server_version (str) – Target server version
  - target_server (str) – Target server name

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputTableLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutput`

  MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutputTableLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - table_name (str) – Name of the table
  - database_name (str) – Name of the database
  - cdc_insert_counter (long) – Number of applied inserts
  - cdc_update_counter (long) – Number of applied updates
  - cdc_delete_counter (long) – Number of applied deletes
  - full_load_est_finish_time (datetime) – Estimate to finish full load
  - full_load_started_on (datetime) – Full load start time
  - full_load_ended_on (datetime) – Full load end time
  - full_load_total_rows (long) – Number of rows applied in full load
  - state (str or SyncTableMigrationState) – Current state of the table migration. Possible values include: ‘BEFORE_LOAD’, ‘FULL_LOAD’, ‘COMPLETED’, ‘CANCELED’, ‘ERROR’, ‘FAILED’
  - total_changes_applied (long) – Total number of applied changes
  - data_errors_counter (long) – Number of data errors occurred
  - last_modified_time (datetime) – Last modified time on target

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigratePostgreSqlAzureDbForPostgreSqlSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that migrates PostgreSQL databases to Azure Database for PostgreSQL for online migrations.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MigratePostgreSqlAzureDbForPostgreSqlSyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigratePostgreSqlAzureDbForPostgreSqlSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``MigrateSchemaSqlServerSqlDbDatabaseInput`(*, name: str = None, target_database_name: str = None, schema_setting=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database input for migrate schema Sql Server to Azure SQL Server scenario.

  Parameters:

  - name (str) – Name of source database
  - target_database_name (str) – Name of target database
  - schema_setting (SchemaMigrationSetting) – Database schema migration settings

class `azure.mgmt.datamigration.models.``MigrateSchemaSqlServerSqlDbTaskInput`(*, source_connection_info, target_connection_info, selected_databases, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.SqlMigrationTaskInput`

  Input for task that migrates Schema for SQL Server databases to Azure SQL databases.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Information for connecting to source
  - target_connection_info (SqlConnectionInfo) – Required. Information for connecting to target
  - selected_databases (list[MigrateSchemaSqlServerSqlDbDatabaseInput]) – Required. Databases to migrate

class `azure.mgmt.datamigration.models.``MigrateSchemaSqlServerSqlDbTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that migrates Schema for SQL Server databases to Azure SQL databases.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateSchemaSqlServerSqlDbTaskOutputMigrationLevel, MigrateSchemaSqlServerSqlDbTaskOutputDatabaseLevel, MigrateSchemaSqlServerSqlDbTaskOutputError, MigrateSchemaSqlTaskOutputError

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSchemaSqlServerSqlDbTaskOutputDatabaseLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSchemaSqlServerSqlDbTaskOutput`

  MigrateSchemaSqlServerSqlDbTaskOutputDatabaseLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - database_name (str) – The name of the database
  - state (str or MigrationState) – State of the schema migration for this database. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - stage (str or SchemaMigrationStage) – Schema migration stage for this database. Possible values include: ‘NotStarted’, ‘ValidatingInputs’, ‘CollectingObjects’, ‘DownloadingScript’, ‘GeneratingScript’, ‘UploadingScript’, ‘DeployingSchema’, ‘Completed’, ‘CompletedWithWarnings’, ‘Failed’
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - database_error_result_prefix (str) – Prefix string to use for querying errors for this database
  - schema_error_result_prefix (str) – Prefix string to use for querying schema errors for this database
  - number_of_successful_operations (long) – Number of successful operations for this database
  - number_of_failed_operations (long) – Number of failed operations for this database
  - file_id (str) – Identifier for the file resource containing the schema of this database

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSchemaSqlServerSqlDbTaskOutputError`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSchemaSqlServerSqlDbTaskOutput`

  MigrateSchemaSqlServerSqlDbTaskOutputError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - command_text (str) – Schema command which failed
  - error_text (str) – Reason of failure

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSchemaSqlServerSqlDbTaskOutputMigrationLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSchemaSqlServerSqlDbTaskOutput`

  MigrateSchemaSqlServerSqlDbTaskOutputMigrationLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - state (str or MigrationState) – Overall state of the schema migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - source_server_version (str) – Source server version
  - source_server_brand_version (str) – Source server brand version
  - target_server_version (str) – Target server version
  - target_server_brand_version (str) – Target server brand version

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSchemaSqlServerSqlDbTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for task that migrates Schema for SQL Server databases to Azure SQL databases.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MigrateSchemaSqlServerSqlDbTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigrateSchemaSqlServerSqlDbTaskInput) – Task input

class `azure.mgmt.datamigration.models.``MigrateSchemaSqlTaskOutputError`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSchemaSqlServerSqlDbTaskOutput`

  MigrateSchemaSqlTaskOutputError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - error (ReportableException) – Migration error

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbDatabaseInput`(*, name: str = None, target_database_name: str = None, make_source_db_read_only: bool = None, table_map=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database specific information for SQL to Azure SQL DB migration task inputs.

  Parameters:

  - name (str) – Name of the database
  - target_database_name (str) – Name of target database. Note: Target database will be truncated before starting migration.
  - make_source_db_read_only (bool) – Whether to set database read only before migration
  - table_map (dict[str, str]) – Mapping of source to target tables

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbSyncDatabaseInput`(*, id: str = None, name: str = None, target_database_name: str = None, schema_name: str = None, table_map=None, migration_setting=None, source_setting=None, target_setting=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database specific information for SQL to Azure SQL DB sync migration task inputs.

  Parameters:

  - id (str) – Unique identifier for database
  - name (str) – Name of database
  - target_database_name (str) – Target database name
  - schema_name (str) – Schema name to be migrated
  - table_map (dict[str, str]) – Mapping of source to target tables
  - migration_setting (dict[str, str]) – Migration settings which tune the migration behavior
  - source_setting (dict[str, str]) – Source settings to tune source endpoint migration behavior
  - target_setting (dict[str, str]) – Target settings to tune target endpoint migration behavior

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbSyncTaskInput`(*, source_connection_info, target_connection_info, selected_databases, validation_options=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.SqlMigrationTaskInput`

  Input for the task that migrates on-prem SQL Server databases to Azure SQL Database for online migrations.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Information for connecting to source
  - target_connection_info (SqlConnectionInfo) – Required. Information for connecting to target
  - selected_databases (list[MigrateSqlServerSqlDbSyncDatabaseInput]) – Required. Databases to migrate
  - validation_options (MigrationValidationOptions) – Validation options

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbSyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that migrates on-prem SQL Server databases to Azure SQL Database for online migrations.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateSqlServerSqlDbSyncTaskOutputDatabaseError, MigrateSqlServerSqlDbSyncTaskOutputError, MigrateSqlServerSqlDbSyncTaskOutputTableLevel, MigrateSqlServerSqlDbSyncTaskOutputDatabaseLevel, MigrateSqlServerSqlDbSyncTaskOutputMigrationLevel

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbSyncTaskOutputDatabaseError`(*, error_message: str = None, events=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlDbSyncTaskOutput`

  MigrateSqlServerSqlDbSyncTaskOutputDatabaseError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier

  Parameters:

  - result_type (str) – Required. Constant filled by server.
  - error_message (str) – Error message
  - events (list[SyncMigrationDatabaseErrorEvent]) – List of error events.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbSyncTaskOutputDatabaseLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlDbSyncTaskOutput`

  MigrateSqlServerSqlDbSyncTaskOutputDatabaseLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - database_name (str) – Name of the database
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - migration_state (str or SyncDatabaseMigrationReportingState) – Migration state that this database is in. Possible values include: ‘UNDEFINED’, ‘CONFIGURING’, ‘INITIALIAZING’, ‘STARTING’, ‘RUNNING’, ‘READY_TO_COMPLETE’, ‘COMPLETING’, ‘COMPLETE’, ‘CANCELLING’, ‘CANCELLED’, ‘FAILED’
  - incoming_changes (long) – Number of incoming changes
  - applied_changes (long) – Number of applied changes
  - cdc_insert_counter (long) – Number of cdc inserts
  - cdc_delete_counter (long) – Number of cdc deletes
  - cdc_update_counter (long) – Number of cdc updates
  - full_load_completed_tables (long) – Number of tables completed in full load
  - full_load_loading_tables (long) – Number of tables loading in full load
  - full_load_queued_tables (long) – Number of tables queued in full load
  - full_load_errored_tables (long) – Number of tables errored in full load
  - initialization_completed (bool) – Indicates if initial load (full load) has been completed
  - latency (long) – CDC apply latency

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbSyncTaskOutputError`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlDbSyncTaskOutput`

  MigrateSqlServerSqlDbSyncTaskOutputError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - error (ReportableException) – Migration error

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbSyncTaskOutputMigrationLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlDbSyncTaskOutput`

  MigrateSqlServerSqlDbSyncTaskOutputMigrationLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - source_server_version (str) – Source server version
  - source_server (str) – Source server name
  - target_server_version (str) – Target server version
  - target_server (str) – Target server name
  - database_count (int) – Count of databases

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbSyncTaskOutputTableLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlDbSyncTaskOutput`

  MigrateSqlServerSqlDbSyncTaskOutputTableLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - table_name (str) – Name of the table
  - database_name (str) – Name of the database
  - cdc_insert_counter (long) – Number of applied inserts
  - cdc_update_counter (long) – Number of applied updates
  - cdc_delete_counter (long) – Number of applied deletes
  - full_load_est_finish_time (datetime) – Estimate to finish full load
  - full_load_started_on (datetime) – Full load start time
  - full_load_ended_on (datetime) – Full load end time
  - full_load_total_rows (long) – Number of rows applied in full load
  - state (str or SyncTableMigrationState) – Current state of the table migration. Possible values include: ‘BEFORE_LOAD’, ‘FULL_LOAD’, ‘COMPLETED’, ‘CANCELED’, ‘ERROR’, ‘FAILED’
  - total_changes_applied (long) – Total number of applied changes
  - data_errors_counter (long) – Number of data errors occurred
  - last_modified_time (datetime) – Last modified time on target

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that migrates on-prem SQL Server databases to Azure SQL Database for online migrations.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MigrateSqlServerSqlDbSyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigrateSqlServerSqlDbSyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbTaskInput`(*, source_connection_info, target_connection_info, selected_databases, validation_options=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.SqlMigrationTaskInput`

  Input for the task that migrates on-prem SQL Server databases to Azure SQL Database.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Information for connecting to source
  - target_connection_info (SqlConnectionInfo) – Required. Information for connecting to target
  - selected_databases (list[MigrateSqlServerSqlDbDatabaseInput]) – Required. Databases to migrate
  - validation_options (MigrationValidationOptions) – Options for enabling various post migration validations. Available options, 1.) Data Integrity Check: Performs a checksum based comparison on source and target tables after the migration to ensure the correctness of the data. 2.) Schema Validation: Performs a thorough schema comparison between the source and target tables and provides a list of differences between the source and target database, 3.) Query Analysis: Executes a set of queries picked up automatically either from the Query Plan Cache or Query Store and execute them and compares the execution time between the source and target database.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the task that migrates on-prem SQL Server databases to Azure SQL Database.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateSqlServerSqlDbTaskOutputError, MigrateSqlServerSqlDbTaskOutputTableLevel, MigrateSqlServerSqlDbTaskOutputDatabaseLevel, MigrateSqlServerSqlDbTaskOutputMigrationLevel

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbTaskOutputDatabaseLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlDbTaskOutput`

  MigrateSqlServerSqlDbTaskOutputDatabaseLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - database_name (str) – Name of the item
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - stage (str or DatabaseMigrationStage) – Migration stage that this database is in. Possible values include: ‘None’, ‘Initialize’, ‘Backup’, ‘FileCopy’, ‘Restore’, ‘Completed’
  - status_message (str) – Status message
  - message (str) – Migration progress message
  - number_of_objects (long) – Number of objects
  - number_of_objects_completed (long) – Number of successfully completed objects
  - error_count (long) – Number of database/object errors.
  - error_prefix (str) – Wildcard string prefix to use for querying all errors of the item
  - result_prefix (str) – Wildcard string prefix to use for querying all sub-tem results of the item
  - exceptions_and_warnings (list[ReportableException]) – Migration exceptions and warnings.
  - object_summary (dict[str, DataItemMigrationSummaryResult]) – Summary of object results in the migration

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbTaskOutputError`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlDbTaskOutput`

  MigrateSqlServerSqlDbTaskOutputError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - error (ReportableException) – Migration error

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbTaskOutputMigrationLevel`(*, migration_validation_result=None, migration_report_result=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlDbTaskOutput`

  MigrateSqlServerSqlDbTaskOutputMigrationLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - duration_in_seconds (long) – Duration of task execution in seconds.
  - status (str or MigrationStatus) – Current status of migration. Possible values include: ‘Default’, ‘Connecting’, ‘SourceAndTargetSelected’, ‘SelectLogins’, ‘Configured’, ‘Running’, ‘Error’, ‘Stopped’, ‘Completed’, ‘CompletedWithWarnings’
  - status_message (str) – Migration status message
  - message (str) – Migration progress message
  - databases (dict[str, str]) – Selected databases as a map from database name to database id
  - database_summary (dict[str, DatabaseSummaryResult]) – Summary of database results in the migration
  - source_server_version (str) – Source server version
  - source_server_brand_version (str) – Source server brand version
  - target_server_version (str) – Target server version
  - target_server_brand_version (str) – Target server brand version
  - exceptions_and_warnings (list[ReportableException]) – Migration exceptions and warnings.

  Parameters:

  - result_type (str) – Required. Constant filled by server.
  - migration_validation_result (MigrationValidationResult) – Migration Validation Results
  - migration_report_result (MigrationReportResult) – Migration Report Result, provides unique url for downloading your migration report.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbTaskOutputTableLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlDbTaskOutput`

  MigrateSqlServerSqlDbTaskOutputTableLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - object_name (str) – Name of the item
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - status_message (str) – Status message
  - items_count (long) – Number of items
  - items_completed_count (long) – Number of successfully completed items
  - error_prefix (str) – Wildcard string prefix to use for querying all errors of the item
  - result_prefix (str) – Wildcard string prefix to use for querying all sub-tem results of the item

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlDbTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that migrates on-prem SQL Server databases to Azure SQL Database.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MigrateSqlServerSqlDbTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigrateSqlServerSqlDbTaskInput) – Task input

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMIDatabaseInput`(*, name: str, restore_database_name: str, backup_file_share=None, backup_file_paths=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database specific information for SQL to Azure SQL DB Managed Instance migration task inputs.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. Name of the database
  - restore_database_name (str) – Required. Name of the database at destination
  - backup_file_share (FileShare) – Backup file share information for backing up this database.
  - backup_file_paths (list[str]) – The list of backup files to be used in case of existing backups.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMISyncTaskInput`(*, selected_databases, storage_resource_id: str, source_connection_info, target_connection_info, azure_app, backup_file_share=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.SqlServerSqlMISyncTaskInput`

  Input for task that migrates SQL Server databases to Azure SQL Database Managed Instance online scenario.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - selected_databases (list[MigrateSqlServerSqlMIDatabaseInput]) – Required. Databases to migrate
  - backup_file_share (FileShare) – Backup file share information for all selected databases.
  - storage_resource_id (str) – Required. Fully qualified resourceId of storage
  - source_connection_info (SqlConnectionInfo) – Required. Connection information for source SQL Server
  - target_connection_info (MiSqlConnectionInfo) – Required. Connection information for Azure SQL Database Managed Instance
  - azure_app (AzureActiveDirectoryApp) – Required. Azure Active Directory Application the DMS instance will use to connect to the target instance of Azure SQL Database Managed Instance and the Azure Storage Account

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMISyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for task that migrates SQL Server databases to Azure SQL Database Managed Instance using Log Replay Service.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateSqlServerSqlMISyncTaskOutputError, MigrateSqlServerSqlMISyncTaskOutputDatabaseLevel, MigrateSqlServerSqlMISyncTaskOutputMigrationLevel

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMISyncTaskOutputDatabaseLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlMISyncTaskOutput`

  MigrateSqlServerSqlMISyncTaskOutputDatabaseLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - source_database_name (str) – Name of the database
  - migration_state (str or DatabaseMigrationState) – Current state of database. Possible values include: ‘UNDEFINED’, ‘INITIAL’, ‘FULL_BACKUP_UPLOAD_START’, ‘LOG_SHIPPING_START’, ‘UPLOAD_LOG_FILES_START’, ‘CUTOVER_START’, ‘POST_CUTOVER_COMPLETE’, ‘COMPLETED’, ‘CANCELLED’, ‘FAILED’
  - started_on (datetime) – Database migration start time
  - ended_on (datetime) – Database migration end time
  - full_backup_set_info (BackupSetInfo) – Details of full backup set
  - last_restored_backup_set_info (BackupSetInfo) – Last applied backup set information
  - active_backup_sets (list[BackupSetInfo]) – Backup sets that are currently active (Either being uploaded or getting restored)
  - container_name (str) – Name of container created in the Azure Storage account where backups are copied to
  - error_prefix (str) – prefix string to use for querying errors for this database
  - is_full_backup_restored (bool) – Whether full backup has been applied to the target database or not
  - exceptions_and_warnings (list[ReportableException]) – Migration exceptions and warnings

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMISyncTaskOutputError`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlMISyncTaskOutput`

  MigrateSqlServerSqlMISyncTaskOutputError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - error (ReportableException) – Migration error

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMISyncTaskOutputMigrationLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlMISyncTaskOutput`

  MigrateSqlServerSqlMISyncTaskOutputMigrationLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - database_count (int) – Count of databases
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - source_server_name (str) – Source server name
  - source_server_version (str) – Source server version
  - source_server_brand_version (str) – Source server brand version
  - target_server_name (str) – Target server name
  - target_server_version (str) – Target server version
  - target_server_brand_version (str) – Target server brand version
  - database_error_count (int) – Number of database level errors

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMISyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for task that migrates SQL Server databases to Azure SQL Database Managed Instance sync scenario.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MigrateSqlServerSqlMISyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigrateSqlServerSqlMISyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMITaskInput`(*, source_connection_info, target_connection_info, selected_databases, backup_blob_share, selected_logins=None, selected_agent_jobs=None, backup_file_share=None, backup_mode=None, aad_domain_name: str = None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.SqlMigrationTaskInput`

  Input for task that migrates SQL Server databases to Azure SQL Database Managed Instance.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Information for connecting to source
  - target_connection_info (SqlConnectionInfo) – Required. Information for connecting to target
  - selected_databases (list[MigrateSqlServerSqlMIDatabaseInput]) – Required. Databases to migrate
  - selected_logins (list[str]) – Logins to migrate.
  - selected_agent_jobs (list[str]) – Agent Jobs to migrate.
  - backup_file_share (FileShare) – Backup file share information for all selected databases.
  - backup_blob_share (BlobShare) – Required. SAS URI of Azure Storage Account Container to be used for storing backup files.
  - backup_mode (str or BackupMode) – Backup Mode to specify whether to use existing backup or create new backup. If using existing backups, backup file paths are required to be provided in selectedDatabases. Possible values include: ‘CreateBackup’, ‘ExistingBackup’
  - aad_domain_name (str) – Azure Active Directory domain name in the format of ‘contoso.com’ for federated Azure AD or ‘contoso.onmicrosoft.com’ for managed domain, required if and only if Windows logins are selected

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMITaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for task that migrates SQL Server databases to Azure SQL Database Managed Instance.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateSqlServerSqlMITaskOutputError, MigrateSqlServerSqlMITaskOutputLoginLevel, MigrateSqlServerSqlMITaskOutputAgentJobLevel, MigrateSqlServerSqlMITaskOutputDatabaseLevel, MigrateSqlServerSqlMITaskOutputMigrationLevel

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMITaskOutputAgentJobLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlMITaskOutput`

  MigrateSqlServerSqlMITaskOutputAgentJobLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - name (str) – Agent Job name.
  - is_enabled (bool) – The state of the original Agent Job.
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - message (str) – Migration progress message
  - exceptions_and_warnings (list[ReportableException]) – Migration errors and warnings per job

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMITaskOutputDatabaseLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlMITaskOutput`

  MigrateSqlServerSqlMITaskOutputDatabaseLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - database_name (str) – Name of the database
  - size_mb (float) – Size of the database in megabytes
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - stage (str or DatabaseMigrationStage) – Current stage of migration. Possible values include: ‘None’, ‘Initialize’, ‘Backup’, ‘FileCopy’, ‘Restore’, ‘Completed’
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - message (str) – Migration progress message
  - exceptions_and_warnings (list[ReportableException]) – Migration exceptions and warnings

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMITaskOutputError`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlMITaskOutput`

  MigrateSqlServerSqlMITaskOutputError.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - error (ReportableException) – Migration error

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMITaskOutputLoginLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlMITaskOutput`

  MigrateSqlServerSqlMITaskOutputLoginLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - login_name (str) – Login name.
  - state (str or MigrationState) – Current state of login. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - stage (str or LoginMigrationStage) – Current stage of login. Possible values include: ‘None’, ‘Initialize’, ‘LoginMigration’, ‘EstablishUserMapping’, ‘AssignRoleMembership’, ‘AssignRoleOwnership’, ‘EstablishServerPermissions’, ‘EstablishObjectPermissions’, ‘Completed’
  - started_on (datetime) – Login migration start time
  - ended_on (datetime) – Login migration end time
  - message (str) – Login migration progress message
  - exceptions_and_warnings (list[ReportableException]) – Login migration errors and warnings per login

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMITaskOutputMigrationLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSqlServerSqlMITaskOutput`

  MigrateSqlServerSqlMITaskOutputMigrationLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - status (str or MigrationStatus) – Current status of migration. Possible values include: ‘Default’, ‘Connecting’, ‘SourceAndTargetSelected’, ‘SelectLogins’, ‘Configured’, ‘Running’, ‘Error’, ‘Stopped’, ‘Completed’, ‘CompletedWithWarnings’
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - agent_jobs (dict[str, str]) – Selected agent jobs as a map from name to id
  - logins (dict[str, str]) – Selected logins as a map from name to id
  - message (str) – Migration progress message
  - server_role_results (dict[str, StartMigrationScenarioServerRoleResult]) – Map of server role migration results.
  - orphaned_users_info (list[OrphanedUserInfo]) – List of orphaned users.
  - databases (dict[str, str]) – Selected databases as a map from database name to database id
  - source_server_version (str) – Source server version
  - source_server_brand_version (str) – Source server brand version
  - target_server_version (str) – Target server version
  - target_server_brand_version (str) – Target server brand version
  - exceptions_and_warnings (list[ReportableException]) – Migration exceptions and warnings.

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlMITaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for task that migrates SQL Server databases to Azure SQL Database Managed Instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MigrateSqlServerSqlMITaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigrateSqlServerSqlMITaskInput) – Task input

class `azure.mgmt.datamigration.models.``MigrateSqlServerSqlServerDatabaseInput`(*, name: str = None, restore_database_name: str = None, backup_and_restore_folder: str = None, database_files=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Database specific information for SQL to SQL migration task inputs.

  Parameters:

  - name (str) – Name of the database
  - restore_database_name (str) – Name of the database at destination
  - backup_and_restore_folder (str) – The backup and restore folder
  - database_files (list[DatabaseFileInput]) – The list of database files

class `azure.mgmt.datamigration.models.``MigrateSsisTaskInput`(*, source_connection_info, target_connection_info, ssis_migration_info, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.SqlMigrationTaskInput`

  Input for task that migrates SSIS packages from SQL Server to Azure SQL Database Managed Instance.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Information for connecting to source
  - target_connection_info (SqlConnectionInfo) – Required. Information for connecting to target
  - ssis_migration_info (SsisMigrationInfo) – Required. SSIS package migration information.

class `azure.mgmt.datamigration.models.``MigrateSsisTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for task that migrates SSIS packages from SQL Server to Azure SQL Database Managed Instance.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateSsisTaskOutputProjectLevel, MigrateSsisTaskOutputMigrationLevel

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | id (str) – Result identifier
  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSsisTaskOutputMigrationLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSsisTaskOutput`

  MigrateSsisTaskOutputMigrationLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - status (str or MigrationStatus) – Current status of migration. Possible values include: ‘Default’, ‘Connecting’, ‘SourceAndTargetSelected’, ‘SelectLogins’, ‘Configured’, ‘Running’, ‘Error’, ‘Stopped’, ‘Completed’, ‘CompletedWithWarnings’
  - message (str) – Migration progress message
  - source_server_version (str) – Source server version
  - source_server_brand_version (str) – Source server brand version
  - target_server_version (str) – Target server version
  - target_server_brand_version (str) – Target server brand version
  - exceptions_and_warnings (list[ReportableException]) – Migration exceptions and warnings.
  - stage (str or SsisMigrationStage) – Stage of SSIS migration. Possible values include: ‘None’, ‘Initialize’, ‘InProgress’, ‘Completed’

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSsisTaskOutputProjectLevel`(**kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MigrateSsisTaskOutput`

  MigrateSsisTaskOutputProjectLevel.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Result identifier
  - folder_name (str) – Name of the folder
  - project_name (str) – Name of the project
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - stage (str or SsisMigrationStage) – Stage of SSIS migration. Possible values include: ‘None’, ‘Initialize’, ‘InProgress’, ‘Completed’
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - message (str) – Migration progress message
  - exceptions_and_warnings (list[ReportableException]) – Migration exceptions and warnings

  Parameters: | result_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``MigrateSsisTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for task that migrates SSIS packages from SQL Server databases to Azure SQL Database Managed Instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MigrateSsisTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigrateSsisTaskInput) – Task input

class `azure.mgmt.datamigration.models.``MigrateSyncCompleteCommandInput`(*, database_name: str, commit_time_stamp=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for command that completes sync migration for a database.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - database_name (str) – Required. Name of database
  - commit_time_stamp (datetime) – Time stamp to complete

class `azure.mgmt.datamigration.models.``MigrateSyncCompleteCommandOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for command that completes sync migration for a database.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - errors (list[ReportableException]) – List of errors that happened during the command execution

class `azure.mgmt.datamigration.models.``MigrateSyncCompleteCommandProperties`(*, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.CommandProperties`

  Properties for the command that completes sync migration for a database.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or CommandState) – The state of the command. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Accepted’, ‘Running’, ‘Succeeded’, ‘Failed’
  - output (MigrateSyncCompleteCommandOutput) – Command output. This is ignored if submitted.

  Parameters:

  - command_type (str) – Required. Constant filled by server.
  - input (MigrateSyncCompleteCommandInput) – Command input

class `azure.mgmt.datamigration.models.``MigrationEligibilityInfo`(**kwargs)

  Bases: `msrest.serialization.Model`

  Information about migration eligibility of a server object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - is_eligible_for_migration (bool) – Whether object is eligible for migration or not.
  - validation_messages (list[str]) – Information about eligibility failure for the server object.

class `azure.mgmt.datamigration.models.``MigrationReportResult`(*, id: str = None, report_url: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Migration validation report result, contains the url for downloading the generated report.

  Parameters:

  - id (str) – Migration validation result identifier
  - report_url (str) – The url of the report.

class `azure.mgmt.datamigration.models.``MigrationTableMetadata`(**kwargs)

  Bases: `msrest.serialization.Model`

  Metadata for tables selected in migration project.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - source_table_name (str) – Source table name
  - target_table_name (str) – Target table name

class `azure.mgmt.datamigration.models.``MigrationValidationDatabaseLevelResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  Database level validation results.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - migration_id (str) – Migration Identifier
  - source_database_name (str) – Name of the source database
  - target_database_name (str) – Name of the target database
  - started_on (datetime) – Validation start time
  - ended_on (datetime) – Validation end time
  - data_integrity_validation_result (DataIntegrityValidationResult) – Provides data integrity validation result between the source and target tables that are migrated.
  - schema_validation_result (SchemaComparisonValidationResult) – Provides schema comparison result between source and target database
  - query_analysis_validation_result (QueryAnalysisValidationResult) – Results of some of the query execution result between source and target database
  - status (str or ValidationStatus) – Current status of validation at the database level. Possible values include: ‘Default’, ‘NotStarted’, ‘Initialized’, ‘InProgress’, ‘Completed’, ‘CompletedWithIssues’, ‘Stopped’, ‘Failed’

class `azure.mgmt.datamigration.models.``MigrationValidationDatabaseSummaryResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  Migration Validation Database level summary result.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - migration_id (str) – Migration Identifier
  - source_database_name (str) – Name of the source database
  - target_database_name (str) – Name of the target database
  - started_on (datetime) – Validation start time
  - ended_on (datetime) – Validation end time
  - status (str or ValidationStatus) – Current status of validation at the database level. Possible values include: ‘Default’, ‘NotStarted’, ‘Initialized’, ‘InProgress’, ‘Completed’, ‘CompletedWithIssues’, ‘Stopped’, ‘Failed’

class `azure.mgmt.datamigration.models.``MigrationValidationOptions`(*, enable_schema_validation: bool = None, enable_data_integrity_validation: bool = None, enable_query_analysis_validation: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Types of validations to run after the migration.

  Parameters:

  - enable_schema_validation (bool) – Allows to compare the schema information between source and target.
  - enable_data_integrity_validation (bool) – Allows to perform a checksum based data integrity validation between source and target for the selected database / tables .
  - enable_query_analysis_validation (bool) – Allows to perform a quick and intelligent query analysis by retrieving queries from the source database and executes them in the target. The result will have execution statistics for executions in source and target databases for the extracted queries.

class `azure.mgmt.datamigration.models.``MigrationValidationResult`(*, summary_results=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Migration Validation Result.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Migration validation result identifier
  - migration_id (str) – Migration Identifier
  - status (str or ValidationStatus) – Current status of validation at the migration level. Status from the database validation result status will be aggregated here. Possible values include: ‘Default’, ‘NotStarted’, ‘Initialized’, ‘InProgress’, ‘Completed’, ‘CompletedWithIssues’, ‘Stopped’, ‘Failed’

  Parameters: | summary_results (dict[str, MigrationValidationDatabaseSummaryResult]) – Validation summary results for each database

class `azure.mgmt.datamigration.models.``MiSqlConnectionInfo`(*, managed_instance_resource_id: str, user_name: str = None, password: str = None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectionInfo`

  Properties required to create a connection to Azure SQL database Managed instance.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - user_name (str) – User name
  - password (str) – Password credential.
  - type (str) – Required. Constant filled by server.
  - managed_instance_resource_id (str) – Required. Resource id for Azure SQL database Managed instance

class `azure.mgmt.datamigration.models.``MongoDbCancelCommand`(*, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.CommandProperties`

  Properties for the command that cancels a migration in whole or in part.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or CommandState) – The state of the command. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Accepted’, ‘Running’, ‘Succeeded’, ‘Failed’

  Parameters:

  - command_type (str) – Required. Constant filled by server.
  - input (MongoDbCommandInput) – Command input

class `azure.mgmt.datamigration.models.``MongoDbClusterInfo`(*, databases, supports_sharding: bool, type, version: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a MongoDB data source.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - databases (list[MongoDbDatabaseInfo]) – Required. A list of non-system databases in the cluster
  - supports_sharding (bool) – Required. Whether the cluster supports sharded collections
  - type (str or MongoDbClusterType) – Required. The type of data source. Possible values include: ‘BlobContainer’, ‘CosmosDb’, ‘MongoDb’
  - version (str) – Required. The version of the data source in the form x.y.z (e.g. 3.6.7). Not used if Type is BlobContainer.

class `azure.mgmt.datamigration.models.``MongoDbCollectionInfo`(*, average_document_size: int, data_size: int, document_count: int, name: str, qualified_name: str, database_name: str, is_capped: bool, is_system_collection: bool, is_view: bool, supports_sharding: bool, shard_key=None, view_of: str = None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MongoDbObjectInfo`

  Describes a supported collection within a MongoDB database.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - average_document_size (long) – Required. The average document size, or -1 if the average size is unknown
  - data_size (long) – Required. The estimated total data size, in bytes, or -1 if the size is unknown.
  - document_count (long) – Required. The estimated total number of documents, or -1 if the document count is unknown
  - name (str) – Required. The unqualified name of the database or collection
  - qualified_name (str) – Required. The qualified name of the database or collection. For a collection, this is the database-qualified name.
  - database_name (str) – Required. The name of the database containing the collection
  - is_capped (bool) – Required. Whether the collection is a capped collection (i.e. whether it has a fixed size and acts like a circular buffer)
  - is_system_collection (bool) – Required. Whether the collection is system collection
  - is_view (bool) – Required. Whether the collection is a view of another collection
  - shard_key (MongoDbShardKeyInfo) – The shard key on the collection, or null if the collection is not sharded
  - supports_sharding (bool) – Required. Whether the database has sharding enabled. Note that the migration task will enable sharding on the target if necessary.
  - view_of (str) – The name of the collection that this is a view of, if IsView is true

class `azure.mgmt.datamigration.models.``MongoDbCollectionProgress`(*, bytes_copied: int, documents_copied: int, elapsed_time: str, errors, events_pending: int, events_replayed: int, result_type, state, total_bytes: int, total_documents: int, last_event_time=None, last_replay_time=None, name: str = None, qualified_name: str = None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MongoDbProgress`

  Describes the progress of a collection.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - bytes_copied (long) – Required. The number of document bytes copied during the Copying stage
  - documents_copied (long) – Required. The number of documents copied during the Copying stage
  - elapsed_time (str) – Required. The elapsed time in the format [ddd.]hh:mm:ss[.fffffff] (i.e. TimeSpan format)
  - errors (dict[str, MongoDbError]) – Required. The errors and warnings that have occurred for the current object. The keys are the error codes.
  - events_pending (long) – Required. The number of oplog events awaiting replay
  - events_replayed (long) – Required. The number of oplog events replayed so far
  - last_event_time (datetime) – The timestamp of the last oplog event received, or null if no oplog event has been received yet
  - last_replay_time (datetime) – The timestamp of the last oplog event replayed, or null if no oplog event has been replayed yet
  - name (str) – The name of the progress object. For a collection, this is the unqualified collection name. For a database, this is the database name. For the overall migration, this is null.
  - qualified_name (str) – The qualified name of the progress object. For a collection, this is the database-qualified name. For a database, this is the database name. For the overall migration, this is null.
  - result_type (str or enum) – Required. The type of progress object. Possible values include: ‘Migration’, ‘Database’, ‘Collection’
  - state (str or MongoDbMigrationState) – Required. Possible values include: ‘NotStarted’, ‘ValidatingInput’, ‘Initializing’, ‘Restarting’, ‘Copying’, ‘InitialReplay’, ‘Replaying’, ‘Finalizing’, ‘Complete’, ‘Canceled’, ‘Failed’
  - total_bytes (long) – Required. The total number of document bytes on the source at the beginning of the Copying stage, or -1 if the total size was unknown
  - total_documents (long) – Required. The total number of documents on the source at the beginning of the Copying stage, or -1 if the total count was unknown

class `azure.mgmt.datamigration.models.``MongoDbCollectionSettings`(*, can_delete: bool = None, shard_key=None, target_rus: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes how an individual MongoDB collection should be migrated.

  Parameters:

  - can_delete (bool) – Whether the migrator is allowed to drop the target collection in the course of performing a migration. The default is true.
  - shard_key (MongoDbShardKeySetting) –
  - target_rus (int) – The RUs that should be configured on a CosmosDB target, or null to use the default. This has no effect on non-CosmosDB targets.

class `azure.mgmt.datamigration.models.``MongoDbCommandInput`(*, object_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes the input to the ‘cancel’ and ‘restart’ MongoDB migration commands.

  Parameters: | object_name (str) – The qualified name of a database or collection to act upon, or null to act upon the entire migration

class `azure.mgmt.datamigration.models.``MongoDbConnectionInfo`(*, connection_string: str, user_name: str = None, password: str = None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectionInfo`

  Describes a connection to a MongoDB data source.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - user_name (str) – User name
  - password (str) – Password credential.
  - type (str) – Required. Constant filled by server.
  - connection_string (str) – Required. A MongoDB connection string or blob container URL. The user name and password can be specified here or in the userName and password properties

class `azure.mgmt.datamigration.models.``MongoDbDatabaseInfo`(*, average_document_size: int, data_size: int, document_count: int, name: str, qualified_name: str, collections, supports_sharding: bool, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MongoDbObjectInfo`

  Describes a database within a MongoDB data source.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - average_document_size (long) – Required. The average document size, or -1 if the average size is unknown
  - data_size (long) – Required. The estimated total data size, in bytes, or -1 if the size is unknown.
  - document_count (long) – Required. The estimated total number of documents, or -1 if the document count is unknown
  - name (str) – Required. The unqualified name of the database or collection
  - qualified_name (str) – Required. The qualified name of the database or collection. For a collection, this is the database-qualified name.
  - collections (list[MongoDbCollectionInfo]) – Required. A list of supported collections in a MongoDB database
  - supports_sharding (bool) – Required. Whether the database has sharding enabled. Note that the migration task will enable sharding on the target if necessary.

class `azure.mgmt.datamigration.models.``MongoDbDatabaseProgress`(*, bytes_copied: int, documents_copied: int, elapsed_time: str, errors, events_pending: int, events_replayed: int, result_type, state, total_bytes: int, total_documents: int, last_event_time=None, last_replay_time=None, name: str = None, qualified_name: str = None, collections=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MongoDbProgress`

  Describes the progress of a database.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - bytes_copied (long) – Required. The number of document bytes copied during the Copying stage
  - documents_copied (long) – Required. The number of documents copied during the Copying stage
  - elapsed_time (str) – Required. The elapsed time in the format [ddd.]hh:mm:ss[.fffffff] (i.e. TimeSpan format)
  - errors (dict[str, MongoDbError]) – Required. The errors and warnings that have occurred for the current object. The keys are the error codes.
  - events_pending (long) – Required. The number of oplog events awaiting replay
  - events_replayed (long) – Required. The number of oplog events replayed so far
  - last_event_time (datetime) – The timestamp of the last oplog event received, or null if no oplog event has been received yet
  - last_replay_time (datetime) – The timestamp of the last oplog event replayed, or null if no oplog event has been replayed yet
  - name (str) – The name of the progress object. For a collection, this is the unqualified collection name. For a database, this is the database name. For the overall migration, this is null.
  - qualified_name (str) – The qualified name of the progress object. For a collection, this is the database-qualified name. For a database, this is the database name. For the overall migration, this is null.
  - result_type (str or enum) – Required. The type of progress object. Possible values include: ‘Migration’, ‘Database’, ‘Collection’
  - state (str or MongoDbMigrationState) – Required. Possible values include: ‘NotStarted’, ‘ValidatingInput’, ‘Initializing’, ‘Restarting’, ‘Copying’, ‘InitialReplay’, ‘Replaying’, ‘Finalizing’, ‘Complete’, ‘Canceled’, ‘Failed’
  - total_bytes (long) – Required. The total number of document bytes on the source at the beginning of the Copying stage, or -1 if the total size was unknown
  - total_documents (long) – Required. The total number of documents on the source at the beginning of the Copying stage, or -1 if the total count was unknown
  - collections (dict[str, MongoDbCollectionProgress]) – The progress of the collections in the database. The keys are the unqualified names of the collections

class `azure.mgmt.datamigration.models.``MongoDbDatabaseSettings`(*, collections, target_rus: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes how an individual MongoDB database should be migrated.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - collections (dict[str, MongoDbCollectionSettings]) – Required. The collections on the source database to migrate to the target. The keys are the unqualified names of the collections.
  - target_rus (int) – The RUs that should be configured on a CosmosDB target, or null to use the default, or 0 if throughput should not be provisioned for the database. This has no effect on non-CosmosDB targets.

class `azure.mgmt.datamigration.models.``MongoDbError`(*, code: str = None, count: int = None, message: str = None, type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes an error or warning that occurred during a MongoDB migration.

  Parameters:

  - code (str) – The non-localized, machine-readable code that describes the error or warning
  - count (int) – The number of times the error or warning has occurred
  - message (str) – The localized, human-readable message that describes the error or warning
  - type (str or MongoDbErrorType) – The type of error or warning. Possible values include: ‘Error’, ‘ValidationError’, ‘Warning’

class `azure.mgmt.datamigration.models.``MongoDbFinishCommand`(*, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.CommandProperties`

  Properties for the command that finishes a migration in whole or in part.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or CommandState) – The state of the command. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Accepted’, ‘Running’, ‘Succeeded’, ‘Failed’

  Parameters:

  - command_type (str) – Required. Constant filled by server.
  - input (MongoDbFinishCommandInput) – Command input

class `azure.mgmt.datamigration.models.``MongoDbFinishCommandInput`(*, immediate: bool, object_name: str = None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MongoDbCommandInput`

  Describes the input to the ‘finish’ MongoDB migration command.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - object_name (str) – The qualified name of a database or collection to act upon, or null to act upon the entire migration
  - immediate (bool) – Required. If true, replication for the affected objects will be stopped immediately. If false, the migrator will finish replaying queued events before finishing the replication.

class `azure.mgmt.datamigration.models.``MongoDbMigrationProgress`(*, bytes_copied: int, documents_copied: int, elapsed_time: str, errors, events_pending: int, events_replayed: int, result_type, state, total_bytes: int, total_documents: int, last_event_time=None, last_replay_time=None, name: str = None, qualified_name: str = None, databases=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.MongoDbProgress`

  Describes the progress of the overall migration.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - bytes_copied (long) – Required. The number of document bytes copied during the Copying stage
  - documents_copied (long) – Required. The number of documents copied during the Copying stage
  - elapsed_time (str) – Required. The elapsed time in the format [ddd.]hh:mm:ss[.fffffff] (i.e. TimeSpan format)
  - errors (dict[str, MongoDbError]) – Required. The errors and warnings that have occurred for the current object. The keys are the error codes.
  - events_pending (long) – Required. The number of oplog events awaiting replay
  - events_replayed (long) – Required. The number of oplog events replayed so far
  - last_event_time (datetime) – The timestamp of the last oplog event received, or null if no oplog event has been received yet
  - last_replay_time (datetime) – The timestamp of the last oplog event replayed, or null if no oplog event has been replayed yet
  - name (str) – The name of the progress object. For a collection, this is the unqualified collection name. For a database, this is the database name. For the overall migration, this is null.
  - qualified_name (str) – The qualified name of the progress object. For a collection, this is the database-qualified name. For a database, this is the database name. For the overall migration, this is null.
  - result_type (str or enum) – Required. The type of progress object. Possible values include: ‘Migration’, ‘Database’, ‘Collection’
  - state (str or MongoDbMigrationState) – Required. Possible values include: ‘NotStarted’, ‘ValidatingInput’, ‘Initializing’, ‘Restarting’, ‘Copying’, ‘InitialReplay’, ‘Replaying’, ‘Finalizing’, ‘Complete’, ‘Canceled’, ‘Failed’
  - total_bytes (long) – Required. The total number of document bytes on the source at the beginning of the Copying stage, or -1 if the total size was unknown
  - total_documents (long) – Required. The total number of documents on the source at the beginning of the Copying stage, or -1 if the total count was unknown
  - databases (dict[str, MongoDbDatabaseProgress]) – The progress of the databases in the migration. The keys are the names of the databases

class `azure.mgmt.datamigration.models.``MongoDbMigrationSettings`(*, databases, source, target, boost_rus: int = None, replication=None, throttling=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes how a MongoDB data migration should be performed.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - boost_rus (int) – The RU limit on a CosmosDB target that collections will be temporarily increased to (if lower) during the initial copy of a migration, from 10,000 to 1,000,000, or 0 to use the default boost (which is generally the maximum), or null to not boost the RUs. This setting has no effect on non-CosmosDB targets.
  - databases (dict[str, MongoDbDatabaseSettings]) – Required. The databases on the source cluster to migrate to the target. The keys are the names of the databases.
  - replication (str or MongoDbReplication) – Describes how changes will be replicated from the source to the target. The default is OneTime. Possible values include: ‘Disabled’, ‘OneTime’, ‘Continuous’
  - source (MongoDbConnectionInfo) – Required. Settings used to connect to the source cluster
  - target (MongoDbConnectionInfo) – Required. Settings used to connect to the target cluster
  - throttling (MongoDbThrottlingSettings) – Settings used to limit the resource usage of the migration

class `azure.mgmt.datamigration.models.``MongoDbObjectInfo`(*, average_document_size: int, data_size: int, document_count: int, name: str, qualified_name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a database or collection within a MongoDB data source.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - average_document_size (long) – Required. The average document size, or -1 if the average size is unknown
  - data_size (long) – Required. The estimated total data size, in bytes, or -1 if the size is unknown.
  - document_count (long) – Required. The estimated total number of documents, or -1 if the document count is unknown
  - name (str) – Required. The unqualified name of the database or collection
  - qualified_name (str) – Required. The qualified name of the database or collection. For a collection, this is the database-qualified name.

class `azure.mgmt.datamigration.models.``MongoDbProgress`(*, bytes_copied: int, documents_copied: int, elapsed_time: str, errors, events_pending: int, events_replayed: int, result_type, state, total_bytes: int, total_documents: int, last_event_time=None, last_replay_time=None, name: str = None, qualified_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Base class for MongoDB migration outputs.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - bytes_copied (long) – Required. The number of document bytes copied during the Copying stage
  - documents_copied (long) – Required. The number of documents copied during the Copying stage
  - elapsed_time (str) – Required. The elapsed time in the format [ddd.]hh:mm:ss[.fffffff] (i.e. TimeSpan format)
  - errors (dict[str, MongoDbError]) – Required. The errors and warnings that have occurred for the current object. The keys are the error codes.
  - events_pending (long) – Required. The number of oplog events awaiting replay
  - events_replayed (long) – Required. The number of oplog events replayed so far
  - last_event_time (datetime) – The timestamp of the last oplog event received, or null if no oplog event has been received yet
  - last_replay_time (datetime) – The timestamp of the last oplog event replayed, or null if no oplog event has been replayed yet
  - name (str) – The name of the progress object. For a collection, this is the unqualified collection name. For a database, this is the database name. For the overall migration, this is null.
  - qualified_name (str) – The qualified name of the progress object. For a collection, this is the database-qualified name. For a database, this is the database name. For the overall migration, this is null.
  - result_type (str or enum) – Required. The type of progress object. Possible values include: ‘Migration’, ‘Database’, ‘Collection’
  - state (str or MongoDbMigrationState) – Required. Possible values include: ‘NotStarted’, ‘ValidatingInput’, ‘Initializing’, ‘Restarting’, ‘Copying’, ‘InitialReplay’, ‘Replaying’, ‘Finalizing’, ‘Complete’, ‘Canceled’, ‘Failed’
  - total_bytes (long) – Required. The total number of document bytes on the source at the beginning of the Copying stage, or -1 if the total size was unknown
  - total_documents (long) – Required. The total number of documents on the source at the beginning of the Copying stage, or -1 if the total count was unknown

class `azure.mgmt.datamigration.models.``MongoDbRestartCommand`(*, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.CommandProperties`

  Properties for the command that restarts a migration in whole or in part.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or CommandState) – The state of the command. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Accepted’, ‘Running’, ‘Succeeded’, ‘Failed’

  Parameters:

  - command_type (str) – Required. Constant filled by server.
  - input (MongoDbCommandInput) – Command input

class `azure.mgmt.datamigration.models.``MongoDbShardKeyField`(*, name: str, order, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a field reference within a MongoDB shard key.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the field
  - order (str or MongoDbShardKeyOrder) – Required. The field ordering. Possible values include: ‘Forward’, ‘Reverse’, ‘Hashed’

class `azure.mgmt.datamigration.models.``MongoDbShardKeyInfo`(*, fields, is_unique: bool, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a MongoDB shard key.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - fields (list[MongoDbShardKeyField]) – Required. The fields within the shard key
  - is_unique (bool) – Required. Whether the shard key is unique

class `azure.mgmt.datamigration.models.``MongoDbShardKeySetting`(*, fields, is_unique: bool, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a MongoDB shard key.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - fields (list[MongoDbShardKeyField]) – Required. The fields within the shard key
  - is_unique (bool) – Required. Whether the shard key is unique

class `azure.mgmt.datamigration.models.``MongoDbThrottlingSettings`(*, min_free_cpu: int = None, min_free_memory_mb: int = None, max_parallelism: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Specifies resource limits for the migration.

  Parameters:

  - min_free_cpu (int) – The percentage of CPU time that the migrator will try to avoid using, from 0 to 100
  - min_free_memory_mb (int) – The number of megabytes of RAM that the migrator will try to avoid using
  - max_parallelism (int) – The maximum number of work items (e.g. collection copies) that will be processed in parallel

class `azure.mgmt.datamigration.models.``MySqlConnectionInfo`(*, server_name: str, port: int, user_name: str = None, password: str = None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectionInfo`

  Information for connecting to MySQL server.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - user_name (str) – User name
  - password (str) – Password credential.
  - type (str) – Required. Constant filled by server.
  - server_name (str) – Required. Name of the server
  - port (int) – Required. Port for Server

class `azure.mgmt.datamigration.models.``NameAvailabilityRequest`(*, name: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A resource type and proposed name.

  Parameters:

  - name (str) – The proposed resource name
  - type (str) – The resource type chain (e.g. virtualMachines/extensions)

class `azure.mgmt.datamigration.models.``NameAvailabilityResponse`(*, name_available: bool = None, reason=None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Indicates whether a proposed resource name is available.

  Parameters:

  - name_available (bool) – If true, the name is valid and available. If false, ‘reason’ describes why not.
  - reason (str or NameCheckFailureReason) – The reason why the name is not available, if nameAvailable is false. Possible values include: ‘AlreadyExists’, ‘Invalid’
  - message (str) – The localized reason why the name is not available, if nameAvailable is false

class `azure.mgmt.datamigration.models.``NonSqlDataMigrationTable`(*, source_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Defines metadata for table to be migrated.

  Parameters: | source_name (str) – Source table name

class `azure.mgmt.datamigration.models.``NonSqlDataMigrationTableResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  Object used to report the data migration results of a table.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - result_code (str or DataMigrationResultCode) – Result code of the data migration. Possible values include: ‘Initial’, ‘Completed’, ‘ObjectNotExistsInSource’, ‘ObjectNotExistsInTarget’, ‘TargetObjectIsInaccessible’, ‘FatalError’
  - source_name (str) – Name of the source table
  - target_name (str) – Name of the target table
  - source_row_count (long) – Number of rows in the source table
  - target_row_count (long) – Number of rows in the target table
  - elapsed_time_in_miliseconds (float) – Time taken to migrate the data
  - errors (list[DataMigrationError]) – List of errors, if any, during migration

class `azure.mgmt.datamigration.models.``NonSqlMigrationTaskInput`(*, target_connection_info, target_database_name: str, project_name: str, project_location: str, selected_tables, **kwargs)

  Bases: `msrest.serialization.Model`

  Base class for non sql migration task input.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target_connection_info (SqlConnectionInfo) – Required. Information for connecting to target
  - target_database_name (str) – Required. Target database name
  - project_name (str) – Required. Name of the migration project
  - project_location (str) – Required. A URL that points to the drop location to access project artifacts
  - selected_tables (list[NonSqlDataMigrationTable]) – Required. Metadata of the tables selected for migration

class `azure.mgmt.datamigration.models.``NonSqlMigrationTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Base class for non sql migration task output.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - started_on (datetime) – Migration start time
  - ended_on (datetime) – Migration end time
  - status (str or MigrationStatus) – Current state of migration. Possible values include: ‘Default’, ‘Connecting’, ‘SourceAndTargetSelected’, ‘SelectLogins’, ‘Configured’, ‘Running’, ‘Error’, ‘Stopped’, ‘Completed’, ‘CompletedWithWarnings’
  - data_migration_table_results (dict[str, NonSqlDataMigrationTableResult]) – Results of the migration. The key contains the table name and the value the table result object
  - progress_message (str) – Message about the progress of the migration
  - source_server_name (str) – Name of source server
  - target_server_name (str) – Name of target server

class `azure.mgmt.datamigration.models.``ODataError`(*, code: str = None, message: str = None, details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error information in OData format.

  Parameters:

  - code (str) – The machine-readable description of the error, such as ‘InvalidRequest’ or ‘InternalServerError’
  - message (str) – The human-readable description of the error
  - details (list[ODataError]) – Inner errors that caused this error

class `azure.mgmt.datamigration.models.``OracleConnectionInfo`(*, data_source: str, user_name: str = None, password: str = None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectionInfo`

  Information for connecting to Oracle server.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - user_name (str) – User name
  - password (str) – Password credential.
  - type (str) – Required. Constant filled by server.
  - data_source (str) – Required. EZConnect or TNSName connection string.

class `azure.mgmt.datamigration.models.``OracleOCIDriverInfo`(**kwargs)

  Bases: `msrest.serialization.Model`

  Information about an Oracle OCI driver.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - driver_name (str) – The name of the driver package
  - driver_size (str) – The size in bytes of the driver package
  - archive_checksum (str) – The MD5 Base64 encoded checksum for the driver package.
  - oracle_checksum (str) – The checksum for the driver package provided by Oracle.
  - assembly_version (str) – Version listed in the OCI assembly ‘oci.dll’
  - supported_oracle_versions (list[str]) – List of Oracle database versions supported by this driver. Only major minor of the version is listed.

class `azure.mgmt.datamigration.models.``OrphanedUserInfo`(*, name: str = None, database_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information of orphaned users on the SQL server database.

  Parameters:

  - name (str) – Name of the orphaned user
  - database_name (str) – Parent database of the user

class `azure.mgmt.datamigration.models.``PostgreSqlConnectionInfo`(*, server_name: str, port: int, user_name: str = None, password: str = None, database_name: str = None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectionInfo`

  Information for connecting to PostgreSQL server.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - user_name (str) – User name
  - password (str) – Password credential.
  - type (str) – Required. Constant filled by server.
  - server_name (str) – Required. Name of the server
  - database_name (str) – Name of the database
  - port (int) – Required. Port for Server

class `azure.mgmt.datamigration.models.``Project`(*, location: str, source_platform, target_platform, tags=None, source_connection_info=None, target_connection_info=None, databases_info=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.TrackedResource`

  A project resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.
  - creation_time (datetime) – UTC Date and time when project was created
  - provisioning_state (str or ProjectProvisioningState) – The project’s provisioning state. Possible values include: ‘Deleting’, ‘Succeeded’

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – Required. Resource location.
  - source_platform (str or ProjectSourcePlatform) – Required. Source platform for the project. Possible values include: ‘SQL’, ‘MySQL’, ‘PostgreSql’, ‘MongoDb’, ‘Unknown’
  - target_platform (str or ProjectTargetPlatform) – Required. Target platform for the project. Possible values include: ‘SQLDB’, ‘SQLMI’, ‘AzureDbForMySql’, ‘AzureDbForPostgreSql’, ‘MongoDb’, ‘Unknown’
  - source_connection_info (ConnectionInfo) – Information for connecting to source
  - target_connection_info (ConnectionInfo) – Information for connecting to target
  - databases_info (list[DatabaseInfo]) – List of DatabaseInfo

class `azure.mgmt.datamigration.models.``ProjectFile`(*, etag: str = None, properties=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.Resource`

  A file resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters:

  - etag (str) – HTTP strong entity tag value. This is ignored if submitted.
  - properties (ProjectFileProperties) – Custom file properties

class `azure.mgmt.datamigration.models.``ProjectFileProperties`(*, extension: str = None, file_path: str = None, media_type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Base class for file properties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - extension (str) – Optional File extension. If submitted it should not have a leading period and must match the extension from filePath.
  - file_path (str) – Relative path of this file resource. This property can be set when creating or updating the file resource.
  - media_type (str) – File content type. This property can be modified to reflect the file content type.

  Variables:

  - last_modified (datetime) – Modification DateTime.
  - size (long) – File size.

class `azure.mgmt.datamigration.models.``ProjectTask`(*, etag: str = None, properties=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.Resource`

  A task resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters:

  - etag (str) – HTTP strong entity tag value. This is ignored if submitted.
  - properties (ProjectTaskProperties) – Custom task properties

class `azure.mgmt.datamigration.models.``ProjectTaskProperties`(*, client_data=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Base class for all types of DMS task properties. If task is not supported by current client, this object is returned.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: MigrateSsisTaskProperties, GetTdeCertificatesSqlTaskProperties, ValidateOracleAzureDbForPostgreSqlSyncTaskProperties, ValidateMongoDbTaskProperties, ValidateMigrationInputSqlServerSqlMISyncTaskProperties, ValidateMigrationInputSqlServerSqlMITaskProperties, ValidateMigrationInputSqlServerSqlDbSyncTaskProperties, MigrateOracleAzureDbForPostgreSqlSyncTaskProperties, MigratePostgreSqlAzureDbForPostgreSqlSyncTaskProperties, MigrateMySqlAzureDbForMySqlSyncTaskProperties, MigrateSqlServerSqlDbSyncTaskProperties, MigrateSqlServerSqlDbTaskProperties, MigrateSqlServerSqlMISyncTaskProperties, MigrateSqlServerSqlMITaskProperties, MigrateMongoDbTaskProperties, ConnectToTargetAzureDbForMySqlTaskProperties, ConnectToTargetSqlMISyncTaskProperties, ConnectToTargetSqlMITaskProperties, GetUserTablesPostgreSqlTaskProperties, GetUserTablesOracleTaskProperties, GetUserTablesSqlSyncTaskProperties, GetUserTablesSqlTaskProperties, ConnectToTargetOracleAzureDbForPostgreSqlSyncTaskProperties, ConnectToTargetAzureDbForPostgreSqlSyncTaskProperties, ConnectToTargetSqlSqlDbSyncTaskProperties, ConnectToTargetSqlDbTaskProperties, ConnectToSourceOracleSyncTaskProperties, ConnectToSourcePostgreSqlSyncTaskProperties, ConnectToSourceSqlServerSyncTaskProperties, ConnectToSourceSqlServerTaskProperties, ConnectToMongoDbTaskProperties, ConnectToSourceMySqlTaskProperties, MigrateSchemaSqlServerSqlDbTaskProperties, CheckOCIDriverTaskProperties, UploadOCIDriverTaskProperties, InstallOCIDriverTaskProperties

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.

class `azure.mgmt.datamigration.models.``QueryAnalysisValidationResult`(*, query_results=None, validation_errors=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Results for query analysis comparison between the source and target.

  Parameters:

  - query_results (QueryExecutionResult) – List of queries executed and it’s execution results in source and target
  - validation_errors (ValidationError) – Errors that are part of the execution

class `azure.mgmt.datamigration.models.``QueryExecutionResult`(*, query_text: str = None, statements_in_batch: int = None, source_result=None, target_result=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes query analysis results for execution in source and target.

  Parameters:

  - query_text (str) – Query text retrieved from the source server
  - statements_in_batch (long) – Total no. of statements in the batch
  - source_result (ExecutionStatistics) – Query analysis result from the source
  - target_result (ExecutionStatistics) – Query analysis result from the target

class `azure.mgmt.datamigration.models.``Quota`(*, current_value: float = None, id: str = None, limit: float = None, name=None, unit: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes a quota for or usage details about a resource.

  Parameters:

  - current_value (float) – The current value of the quota. If null or missing, the current value cannot be determined in the context of the request.
  - id (str) – The resource ID of the quota object
  - limit (float) – The maximum value of the quota. If null or missing, the quota has no maximum, in which case it merely tracks usage.
  - name (QuotaName) – The name of the quota
  - unit (str) – The unit for the quota, such as Count, Bytes, BytesPerSecond, etc.

class `azure.mgmt.datamigration.models.``QuotaName`(*, localized_value: str = None, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The name of the quota.

  Parameters:

  - localized_value (str) – The localized name of the quota
  - value (str) – The unlocalized name (or ID) of the quota

class `azure.mgmt.datamigration.models.``ReportableException`(*, message: str = None, actionable_message: str = None, file_path: str = None, line_number: str = None, h_result: int = None, stack_trace: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Exception object for all custom exceptions.

  Parameters:

  - message (str) – Error message
  - actionable_message (str) – Actionable steps for this exception
  - file_path (str) – The path to the file where exception occurred
  - line_number (str) – The line number where exception occurred
  - h_result (int) – Coded numerical value that is assigned to a specific exception
  - stack_trace (str) – Stack trace

class `azure.mgmt.datamigration.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  ARM resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.

class `azure.mgmt.datamigration.models.``ResourceSku`(**kwargs)

  Bases: `msrest.serialization.Model`

  Describes an available DMS SKU.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - resource_type (str) – The type of resource the SKU applies to.
  - name (str) – The name of SKU.
  - tier (str) – Specifies the tier of DMS in a scale set.
  - size (str) – The Size of the SKU.
  - family (str) – The Family of this particular SKU.
  - kind (str) – The Kind of resources that are supported in this SKU.
  - capacity (ResourceSkuCapacity) – Not used.
  - locations (list[str]) – The set of locations that the SKU is available.
  - api_versions (list[str]) – The api versions that support this SKU.
  - costs (list[ResourceSkuCosts]) – Metadata for retrieving price info.
  - capabilities (list[ResourceSkuCapabilities]) – A name value pair to describe the capability.
  - restrictions (list[ResourceSkuRestrictions]) – The restrictions because of which SKU cannot be used. This is empty if there are no restrictions.

class `azure.mgmt.datamigration.models.``ResourceSkuCapabilities`(**kwargs)

  Bases: `msrest.serialization.Model`

  Describes The SKU capabilities object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – An invariant to describe the feature.
  - value (str) – An invariant if the feature is measured by quantity.

class `azure.mgmt.datamigration.models.``ResourceSkuCapacity`(**kwargs)

  Bases: `msrest.serialization.Model`

  Describes scaling information of a SKU.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - minimum (long) – The minimum capacity.
  - maximum (long) – The maximum capacity.
  - default (long) – The default capacity.
  - scale_type (str or ResourceSkuCapacityScaleType) – The scale type applicable to the SKU. Possible values include: ‘Automatic’, ‘Manual’, ‘None’

class `azure.mgmt.datamigration.models.``ResourceSkuCosts`(**kwargs)

  Bases: `msrest.serialization.Model`

  Describes metadata for retrieving price info.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - meter_id (str) – Used for querying price from commerce.
  - quantity (long) – The multiplier is needed to extend the base metered cost.
  - extended_unit (str) – An invariant to show the extended unit.

class `azure.mgmt.datamigration.models.``ResourceSkuRestrictions`(**kwargs)

  Bases: `msrest.serialization.Model`

  Describes scaling information of a SKU.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - type (str or ResourceSkuRestrictionsType) – The type of restrictions. Possible values include: ‘location’
  - values (list[str]) – The value of restrictions. If the restriction type is set to location. This would be different locations where the SKU is restricted.
  - reason_code (str or ResourceSkuRestrictionsReasonCode) – The reason code for restriction. Possible values include: ‘QuotaId’, ‘NotAvailableForSubscription’

class `azure.mgmt.datamigration.models.``SchemaComparisonValidationResult`(*, schema_differences=None, validation_errors=None, source_database_object_count=None, target_database_object_count=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Results for schema comparison between the source and target.

  Parameters:

  - schema_differences (SchemaComparisonValidationResultType) – List of schema differences between the source and target databases
  - validation_errors (ValidationError) – List of errors that happened while performing schema compare validation
  - source_database_object_count (dict[str, long]) – Count of source database objects
  - target_database_object_count (dict[str, long]) – Count of target database objects

class `azure.mgmt.datamigration.models.``SchemaComparisonValidationResultType`(*, object_name: str = None, object_type=None, update_action=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description about the errors happen while performing migration validation.

  Parameters:

  - object_name (str) – Name of the object that has the difference
  - object_type (str or ObjectType) – Type of the object that has the difference. e.g (Table/View/StoredProcedure). Possible values include: ‘StoredProcedures’, ‘Table’, ‘User’, ‘View’, ‘Function’
  - update_action (str or UpdateActionType) – Update action type with respect to target. Possible values include: ‘DeletedOnTarget’, ‘ChangedOnTarget’, ‘AddedOnTarget’

class `azure.mgmt.datamigration.models.``SchemaMigrationSetting`(*, schema_option=None, file_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Settings for migrating schema from source to target.

  Parameters:

  - schema_option (str or SchemaMigrationOption) – Option on how to migrate the schema. Possible values include: ‘None’, ‘ExtractFromSource’, ‘UseStorageFile’
  - file_id (str) – Resource Identifier of a file resource containing the uploaded schema file

class `azure.mgmt.datamigration.models.``SelectedCertificateInput`(*, certificate_name: str, password: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Info for certificate to be exported for TDE enabled databases.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - certificate_name (str) – Required. Name of certificate to be exported.
  - password (str) – Required. Password to use for encrypting the exported certificate.

class `azure.mgmt.datamigration.models.``ServerProperties`(**kwargs)

  Bases: `msrest.serialization.Model`

  Server properties for MySQL type source.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - server_platform (str) – Name of the server platform
  - server_name (str) – Name of the server
  - server_version (str) – Version of the database server
  - server_edition (str) – Edition of the database server
  - server_operating_system_version (str) – Version of the operating system
  - server_database_count (int) – Number of databases in the server

class `azure.mgmt.datamigration.models.``ServiceOperation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description of an action supported by the Database Migration Service.

  Parameters:

  - name (str) – The fully qualified action name, e.g. Microsoft.DataMigration/services/read
  - display (ServiceOperationDisplay) – Localized display text

class `azure.mgmt.datamigration.models.``ServiceOperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Localized display text.

  Parameters:

  - provider (str) – The localized resource provider name
  - resource (str) – The localized resource type name
  - operation (str) – The localized operation name
  - description (str) – The localized operation description

class `azure.mgmt.datamigration.models.``ServiceSku`(*, name: str = None, tier: str = None, family: str = None, size: str = None, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  An Azure SKU instance.

  Parameters:

  - name (str) – The unique name of the SKU, such as ‘P3’
  - tier (str) – The tier of the SKU, such as ‘Basic’, ‘General Purpose’, or ‘Business Critical’
  - family (str) – The SKU family, used when the service has multiple performance classes within a tier, such as ‘A’, ‘D’, etc. for virtual machines
  - size (str) – The size of the SKU, used when the name alone does not denote a service size or when a SKU has multiple performance classes within a family, e.g. ‘A1’ for virtual machines
  - capacity (int) – The capacity of the SKU, if it supports scaling

class `azure.mgmt.datamigration.models.``SqlConnectionInfo`(*, data_source: str, user_name: str = None, password: str = None, authentication=None, encrypt_connection: bool = True, additional_settings: str = None, trust_server_certificate: bool = False, platform=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ConnectionInfo`

  Information for connecting to SQL database server.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - user_name (str) – User name
  - password (str) – Password credential.
  - type (str) – Required. Constant filled by server.
  - data_source (str) – Required. Data source in the format Protocol:MachineNameSQLServerInstanceName,PortNumber
  - authentication (str or AuthenticationType) – Authentication type to use for connection. Possible values include: ‘None’, ‘WindowsAuthentication’, ‘SqlAuthentication’, ‘ActiveDirectoryIntegrated’, ‘ActiveDirectoryPassword’
  - encrypt_connection (bool) – Whether to encrypt the connection. Default value: True .
  - additional_settings (str) – Additional connection settings
  - trust_server_certificate (bool) – Whether to trust the server certificate. Default value: False .
  - platform (str or SqlSourcePlatform) – Server platform type for connection. Possible values include: ‘SqlOnPrem’

class `azure.mgmt.datamigration.models.``SqlMigrationTaskInput`(*, source_connection_info, target_connection_info, **kwargs)

  Bases: `msrest.serialization.Model`

  Base class for migration task input.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Information for connecting to source
  - target_connection_info (SqlConnectionInfo) – Required. Information for connecting to target

class `azure.mgmt.datamigration.models.``SqlServerSqlMISyncTaskInput`(*, selected_databases, storage_resource_id: str, source_connection_info, target_connection_info, azure_app, backup_file_share=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for task that migrates SQL Server databases to Azure SQL Database Managed Instance online scenario.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - selected_databases (list[MigrateSqlServerSqlMIDatabaseInput]) – Required. Databases to migrate
  - backup_file_share (FileShare) – Backup file share information for all selected databases.
  - storage_resource_id (str) – Required. Fully qualified resourceId of storage
  - source_connection_info (SqlConnectionInfo) – Required. Connection information for source SQL Server
  - target_connection_info (MiSqlConnectionInfo) – Required. Connection information for Azure SQL Database Managed Instance
  - azure_app (AzureActiveDirectoryApp) – Required. Azure Active Directory Application the DMS instance will use to connect to the target instance of Azure SQL Database Managed Instance and the Azure Storage Account

class `azure.mgmt.datamigration.models.``SsisMigrationInfo`(*, ssis_store_type=None, project_overwrite_option=None, environment_overwrite_option=None, **kwargs)

  Bases: `msrest.serialization.Model`

  SSIS migration info with SSIS store type, overwrite policy.

  Parameters:

  - ssis_store_type (str or SsisStoreType) – The SSIS store type of source, only SSIS catalog is supported now in DMS. Possible values include: ‘SsisCatalog’
  - project_overwrite_option (str or SsisMigrationOverwriteOption) – The overwrite option for the SSIS project migration. Possible values include: ‘Ignore’, ‘Overwrite’
  - environment_overwrite_option (str or SsisMigrationOverwriteOption) – The overwrite option for the SSIS environment migration. Possible values include: ‘Ignore’, ‘Overwrite’

class `azure.mgmt.datamigration.models.``StartMigrationScenarioServerRoleResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  Server role migration result.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Name of server role.
  - state (str or MigrationState) – Current state of migration. Possible values include: ‘None’, ‘InProgress’, ‘Failed’, ‘Warning’, ‘Completed’, ‘Skipped’, ‘Stopped’
  - exceptions_and_warnings (list[ReportableException]) – Migration exceptions and warnings.

class `azure.mgmt.datamigration.models.``SyncMigrationDatabaseErrorEvent`(**kwargs)

  Bases: `msrest.serialization.Model`

  Database migration errors for online migration.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - timestamp_string (str) – String value of timestamp.
  - event_type_string (str) – Event type.
  - event_text (str) – Event text.

class `azure.mgmt.datamigration.models.``TrackedResource`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.Resource`

  ARM tracked top level resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource ID.
  - name (str) – Resource name.
  - type (str) – Resource type.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – Required. Resource location.

class `azure.mgmt.datamigration.models.``UploadOCIDriverTaskInput`(*, driver_share=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for the service task to upload an OCI driver.

  Parameters: | driver_share (FileShare) – File share information for the OCI driver archive.

class `azure.mgmt.datamigration.models.``UploadOCIDriverTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for the service task to upload an OCI driver.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - driver_package_name (str) – The name of the driver package that was validated and uploaded.
  - validation_errors (list[ReportableException]) – Validation errors

class `azure.mgmt.datamigration.models.``UploadOCIDriverTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that uploads an OCI driver.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[UploadOCIDriverTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (UploadOCIDriverTaskInput) –

class `azure.mgmt.datamigration.models.``ValidateMigrationInputSqlServerSqlDbSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for task that validates migration input for SQL to Azure SQL DB sync migrations.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ValidateSyncMigrationInputSqlServerTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ValidateSyncMigrationInputSqlServerTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ValidateMigrationInputSqlServerSqlMISyncTaskInput`(*, selected_databases, storage_resource_id: str, source_connection_info, target_connection_info, azure_app, backup_file_share=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.SqlServerSqlMISyncTaskInput`

  Input for task that migrates SQL Server databases to Azure SQL Database Managed Instance online scenario.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - selected_databases (list[MigrateSqlServerSqlMIDatabaseInput]) – Required. Databases to migrate
  - backup_file_share (FileShare) – Backup file share information for all selected databases.
  - storage_resource_id (str) – Required. Fully qualified resourceId of storage
  - source_connection_info (SqlConnectionInfo) – Required. Connection information for source SQL Server
  - target_connection_info (MiSqlConnectionInfo) – Required. Connection information for Azure SQL Database Managed Instance
  - azure_app (AzureActiveDirectoryApp) – Required. Azure Active Directory Application the DMS instance will use to connect to the target instance of Azure SQL Database Managed Instance and the Azure Storage Account

class `azure.mgmt.datamigration.models.``ValidateMigrationInputSqlServerSqlMISyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for task that validates migration input for Azure SQL Database Managed Instance online migration.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Database identifier
  - name (str) – Name of database
  - validation_errors (list[ReportableException]) – Errors associated with a selected database object

class `azure.mgmt.datamigration.models.``ValidateMigrationInputSqlServerSqlMISyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for task that validates migration input for SQL to Azure SQL Database Managed Instance sync scenario.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ValidateMigrationInputSqlServerSqlMISyncTaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ValidateMigrationInputSqlServerSqlMISyncTaskInput) – Task input

class `azure.mgmt.datamigration.models.``ValidateMigrationInputSqlServerSqlMITaskInput`(*, source_connection_info, target_connection_info, selected_databases, backup_blob_share, selected_logins=None, backup_file_share=None, backup_mode=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for task that validates migration input for SQL to Azure SQL Managed Instance.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Information for connecting to source
  - target_connection_info (SqlConnectionInfo) – Required. Information for connecting to target
  - selected_databases (list[MigrateSqlServerSqlMIDatabaseInput]) – Required. Databases to migrate
  - selected_logins (list[str]) – Logins to migrate
  - backup_file_share (FileShare) – Backup file share information for all selected databases.
  - backup_blob_share (BlobShare) – Required. SAS URI of Azure Storage Account Container to be used for storing backup files.
  - backup_mode (str or BackupMode) – Backup Mode to specify whether to use existing backup or create new backup. Possible values include: ‘CreateBackup’, ‘ExistingBackup’

class `azure.mgmt.datamigration.models.``ValidateMigrationInputSqlServerSqlMITaskOutput`(*, database_backup_info=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Output for task that validates migration input for SQL to Azure SQL Managed Instance migrations.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Result identifier
  - name (str) – Name of database
  - restore_database_name_errors (list[ReportableException]) – Errors associated with the RestoreDatabaseName
  - backup_folder_errors (list[ReportableException]) – Errors associated with the BackupFolder path
  - backup_share_credentials_errors (list[ReportableException]) – Errors associated with backup share user name and password credentials
  - backup_storage_account_errors (list[ReportableException]) – Errors associated with the storage account provided.
  - existing_backup_errors (list[ReportableException]) – Errors associated with existing backup files.

  Parameters: | database_backup_info (DatabaseBackupInfo) – Information about backup files when existing backup mode is used.

class `azure.mgmt.datamigration.models.``ValidateMigrationInputSqlServerSqlMITaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for task that validates migration input for SQL to Azure SQL Database Managed Instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ValidateMigrationInputSqlServerSqlMITaskOutput]) – Task output. This is ignored if submitted.

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (ValidateMigrationInputSqlServerSqlMITaskInput) – Task input

class `azure.mgmt.datamigration.models.``ValidateMongoDbTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates a migration between MongoDB data sources.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[MongoDbMigrationProgress]) – An array containing a single MongoDbMigrationProgress object

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MongoDbMigrationSettings) –

class `azure.mgmt.datamigration.models.``ValidateOracleAzureDbForPostgreSqlSyncTaskProperties`(*, client_data=None, input=None, **kwargs)

  Bases: `azure.mgmt.datamigration.models._models_py3.ProjectTaskProperties`

  Properties for the task that validates a migration for Oracle to Azure Database for PostgreSQL for online migrations.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - errors (list[ODataError]) – Array of errors. This is ignored if submitted.
  - state (str or TaskState) – The state of the task. This is ignored if submitted. Possible values include: ‘Unknown’, ‘Queued’, ‘Running’, ‘Canceled’, ‘Succeeded’, ‘Failed’, ‘FailedInputValidation’, ‘Faulted’
  - commands (list[CommandProperties]) – Array of command properties.
  - output (list[ValidateOracleAzureDbPostgreSqlSyncTaskOutput]) – An array containing a single validation error response object

  Parameters:

  - client_data (dict[str, str]) – Key value pairs of client data to attach meta data information to task
  - task_type (str) – Required. Constant filled by server.
  - input (MigrateOracleAzureDbPostgreSqlSyncTaskInput) –

class `azure.mgmt.datamigration.models.``ValidateOracleAzureDbPostgreSqlSyncTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for task that validates migration input for Oracle to Azure Database for PostgreSQL for online migrations.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | validation_errors (list[ReportableException]) – Errors associated with a selected database object

class `azure.mgmt.datamigration.models.``ValidateSyncMigrationInputSqlServerTaskInput`(*, source_connection_info, target_connection_info, selected_databases, **kwargs)

  Bases: `msrest.serialization.Model`

  Input for task that validates migration input for SQL sync migrations.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_connection_info (SqlConnectionInfo) – Required. Information for connecting to source SQL server
  - target_connection_info (SqlConnectionInfo) – Required. Information for connecting to target
  - selected_databases (list[MigrateSqlServerSqlDbSyncDatabaseInput]) – Required. Databases to migrate

class `azure.mgmt.datamigration.models.``ValidateSyncMigrationInputSqlServerTaskOutput`(**kwargs)

  Bases: `msrest.serialization.Model`

  Output for task that validates migration input for SQL sync migrations.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Database identifier
  - name (str) – Name of database
  - validation_errors (list[ReportableException]) – Errors associated with a selected database object

class `azure.mgmt.datamigration.models.``ValidationError`(*, text: str = None, severity=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description about the errors happen while performing migration validation.

  Parameters:

  - text (str) – Error Text
  - severity (str or Severity) – Severity of the error. Possible values include: ‘Message’, ‘Warning’, ‘Error’

class `azure.mgmt.datamigration.models.``WaitStatistics`(*, wait_type: str = None, wait_time_ms: float = 0, wait_count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Wait statistics gathered during query batch execution.

  Parameters:

  - wait_type (str) – Type of the Wait
  - wait_time_ms (float) – Total wait time in millisecond(s) . Default value: 0 .
  - wait_count (long) – Total no. of waits

class `azure.mgmt.datamigration.models.``ResourceSkuPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ResourceSku` object

class `azure.mgmt.datamigration.models.``AvailableServiceSkuPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AvailableServiceSku` object

class `azure.mgmt.datamigration.models.``DataMigrationServicePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DataMigrationService` object

class `azure.mgmt.datamigration.models.``ProjectTaskPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ProjectTask` object

class `azure.mgmt.datamigration.models.``ProjectPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Project` object

class `azure.mgmt.datamigration.models.``QuotaPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Quota` object

class `azure.mgmt.datamigration.models.``ServiceOperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ServiceOperation` object

class `azure.mgmt.datamigration.models.``ProjectFilePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ProjectFile` object

class `azure.mgmt.datamigration.models.``CommandState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `accepted` = 'Accepted'
  `failed` = 'Failed'
  `running` = 'Running'
  `succeeded` = 'Succeeded'
  `unknown` = 'Unknown'

class `azure.mgmt.datamigration.models.``SsisMigrationStage`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `in_progress` = 'InProgress'
  `initialize` = 'Initialize'
  `none` = 'None'

class `azure.mgmt.datamigration.models.``MigrationState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `failed` = 'Failed'
  `in_progress` = 'InProgress'
  `none` = 'None'
  `skipped` = 'Skipped'
  `stopped` = 'Stopped'
  `warning` = 'Warning'

class `azure.mgmt.datamigration.models.``MigrationStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `completed_with_warnings` = 'CompletedWithWarnings'
  `configured` = 'Configured'
  `connecting` = 'Connecting'
  `default` = 'Default'
  `error` = 'Error'
  `running` = 'Running'
  `select_logins` = 'SelectLogins'
  `source_and_target_selected` = 'SourceAndTargetSelected'
  `stopped` = 'Stopped'

class `azure.mgmt.datamigration.models.``SsisMigrationOverwriteOption`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ignore` = 'Ignore'
  `overwrite` = 'Overwrite'

class `azure.mgmt.datamigration.models.``SsisStoreType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ssis_catalog` = 'SsisCatalog'

class `azure.mgmt.datamigration.models.``SqlSourcePlatform`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `sql_on_prem` = 'SqlOnPrem'

class `azure.mgmt.datamigration.models.``AuthenticationType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `active_directory_integrated` = 'ActiveDirectoryIntegrated'
  `active_directory_password` = 'ActiveDirectoryPassword'
  `none` = 'None'
  `sql_authentication` = 'SqlAuthentication'
  `windows_authentication` = 'WindowsAuthentication'

class `azure.mgmt.datamigration.models.``MongoDbErrorType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `error` = 'Error'
  `validation_error` = 'ValidationError'
  `warning` = 'Warning'

class `azure.mgmt.datamigration.models.``MongoDbMigrationState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `complete` = 'Complete'
  `copying` = 'Copying'
  `failed` = 'Failed'
  `finalizing` = 'Finalizing'
  `initial_replay` = 'InitialReplay'
  `initializing` = 'Initializing'
  `not_started` = 'NotStarted'
  `replaying` = 'Replaying'
  `restarting` = 'Restarting'
  `validating_input` = 'ValidatingInput'

class `azure.mgmt.datamigration.models.``MongoDbShardKeyOrder`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `forward` = 'Forward'
  `hashed` = 'Hashed'
  `reverse` = 'Reverse'

class `azure.mgmt.datamigration.models.``MongoDbReplication`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `continuous` = 'Continuous'
  `disabled` = 'Disabled'
  `one_time` = 'OneTime'

class `azure.mgmt.datamigration.models.``BackupType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `database` = 'Database'
  `differential_database` = 'DifferentialDatabase'
  `differential_file` = 'DifferentialFile'
  `differential_partial` = 'DifferentialPartial'
  `file` = 'File'
  `partial` = 'Partial'
  `transaction_log` = 'TransactionLog'

class `azure.mgmt.datamigration.models.``BackupMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `create_backup` = 'CreateBackup'
  `existing_backup` = 'ExistingBackup'

class `azure.mgmt.datamigration.models.``SyncTableMigrationState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `before_load` = 'BEFORE_LOAD'
  `canceled` = 'CANCELED'
  `completed` = 'COMPLETED'
  `error` = 'ERROR'
  `failed` = 'FAILED'
  `full_load` = 'FULL_LOAD'

class `azure.mgmt.datamigration.models.``SyncDatabaseMigrationReportingState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `cancelled` = 'CANCELLED'
  `cancelling` = 'CANCELLING'
  `complete` = 'COMPLETE'
  `completing` = 'COMPLETING'
  `configuring` = 'CONFIGURING'
  `failed` = 'FAILED'
  `initialiazing` = 'INITIALIAZING'
  `ready_to_complete` = 'READY_TO_COMPLETE'
  `running` = 'RUNNING'
  `starting` = 'STARTING'
  `undefined` = 'UNDEFINED'

class `azure.mgmt.datamigration.models.``ValidationStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `completed_with_issues` = 'CompletedWithIssues'
  `default` = 'Default'
  `failed` = 'Failed'
  `in_progress` = 'InProgress'
  `initialized` = 'Initialized'
  `not_started` = 'NotStarted'
  `stopped` = 'Stopped'

class `azure.mgmt.datamigration.models.``Severity`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `error` = 'Error'
  `message` = 'Message'
  `warning` = 'Warning'

class `azure.mgmt.datamigration.models.``UpdateActionType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `added_on_target` = 'AddedOnTarget'
  `changed_on_target` = 'ChangedOnTarget'
  `deleted_on_target` = 'DeletedOnTarget'

class `azure.mgmt.datamigration.models.``ObjectType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `function` = 'Function'
  `stored_procedures` = 'StoredProcedures'
  `table` = 'Table'
  `user` = 'User'
  `view` = 'View'

class `azure.mgmt.datamigration.models.``DatabaseMigrationStage`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `backup` = 'Backup'
  `completed` = 'Completed'
  `file_copy` = 'FileCopy'
  `initialize` = 'Initialize'
  `none` = 'None'
  `restore` = 'Restore'

class `azure.mgmt.datamigration.models.``BackupFileStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `arrived` = 'Arrived'
  `cancelled` = 'Cancelled'
  `queued` = 'Queued'
  `restored` = 'Restored'
  `restoring` = 'Restoring'
  `uploaded` = 'Uploaded'
  `uploading` = 'Uploading'

class `azure.mgmt.datamigration.models.``DatabaseMigrationState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `cancelled` = 'CANCELLED'
  `completed` = 'COMPLETED'
  `cutover_start` = 'CUTOVER_START'
  `failed` = 'FAILED'
  `full_backup_upload_start` = 'FULL_BACKUP_UPLOAD_START'
  `initial` = 'INITIAL'
  `log_shipping_start` = 'LOG_SHIPPING_START'
  `post_cutover_complete` = 'POST_CUTOVER_COMPLETE'
  `undefined` = 'UNDEFINED'
  `upload_log_files_start` = 'UPLOAD_LOG_FILES_START'

class `azure.mgmt.datamigration.models.``LoginMigrationStage`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `assign_role_membership` = 'AssignRoleMembership'
  `assign_role_ownership` = 'AssignRoleOwnership'
  `completed` = 'Completed'
  `establish_object_permissions` = 'EstablishObjectPermissions'
  `establish_server_permissions` = 'EstablishServerPermissions'
  `establish_user_mapping` = 'EstablishUserMapping'
  `initialize` = 'Initialize'
  `login_migration` = 'LoginMigration'
  `none` = 'None'

class `azure.mgmt.datamigration.models.``LoginType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `asymmetric_key` = 'AsymmetricKey'
  `certificate` = 'Certificate'
  `external_group` = 'ExternalGroup'
  `external_user` = 'ExternalUser'
  `sql_login` = 'SqlLogin'
  `windows_group` = 'WindowsGroup'
  `windows_user` = 'WindowsUser'

class `azure.mgmt.datamigration.models.``DatabaseState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `copying` = 'Copying'
  `emergency` = 'Emergency'
  `offline` = 'Offline'
  `offline_secondary` = 'OfflineSecondary'
  `online` = 'Online'
  `recovering` = 'Recovering'
  `recovery_pending` = 'RecoveryPending'
  `restoring` = 'Restoring'
  `suspect` = 'Suspect'

class `azure.mgmt.datamigration.models.``DatabaseCompatLevel`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `compat_level100` = 'CompatLevel100'
  `compat_level110` = 'CompatLevel110'
  `compat_level120` = 'CompatLevel120'
  `compat_level130` = 'CompatLevel130'
  `compat_level140` = 'CompatLevel140'
  `compat_level80` = 'CompatLevel80'
  `compat_level90` = 'CompatLevel90'

class `azure.mgmt.datamigration.models.``DatabaseFileType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `filestream` = 'Filestream'
  `fulltext` = 'Fulltext'
  `log` = 'Log'
  `not_supported` = 'NotSupported'
  `rows` = 'Rows'

class `azure.mgmt.datamigration.models.``ServerLevelPermissionsGroup`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `default` = 'Default'
  `migration_from_my_sql_to_azure_db_for_my_sql` = 'MigrationFromMySQLToAzureDBForMySQL'
  `migration_from_sql_server_to_azure_db` = 'MigrationFromSqlServerToAzureDB'
  `migration_from_sql_server_to_azure_mi` = 'MigrationFromSqlServerToAzureMI'

class `azure.mgmt.datamigration.models.``MongoDbClusterType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `blob_container` = 'BlobContainer'
  `cosmos_db` = 'CosmosDb'
  `mongo_db` = 'MongoDb'

class `azure.mgmt.datamigration.models.``TaskState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `failed` = 'Failed'
  `failed_input_validation` = 'FailedInputValidation'
  `faulted` = 'Faulted'
  `queued` = 'Queued'
  `running` = 'Running'
  `succeeded` = 'Succeeded'
  `unknown` = 'Unknown'

class `azure.mgmt.datamigration.models.``ServiceProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `accepted` = 'Accepted'
  `deleting` = 'Deleting'
  `deploying` = 'Deploying'
  `failed` = 'Failed'
  `failed_to_start` = 'FailedToStart'
  `failed_to_stop` = 'FailedToStop'
  `starting` = 'Starting'
  `stopped` = 'Stopped'
  `stopping` = 'Stopping'
  `succeeded` = 'Succeeded'

class `azure.mgmt.datamigration.models.``ProjectTargetPlatform`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `azure_db_for_my_sql` = 'AzureDbForMySql'
  `azure_db_for_postgre_sql` = 'AzureDbForPostgreSql'
  `mongo_db` = 'MongoDb'
  `sqldb` = 'SQLDB'
  `sqlmi` = 'SQLMI'
  `unknown` = 'Unknown'

class `azure.mgmt.datamigration.models.``ProjectSourcePlatform`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `mongo_db` = 'MongoDb'
  `my_sql` = 'MySQL'
  `postgre_sql` = 'PostgreSql'
  `sql` = 'SQL'
  `unknown` = 'Unknown'

class `azure.mgmt.datamigration.models.``ProjectProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `deleting` = 'Deleting'
  `succeeded` = 'Succeeded'

class `azure.mgmt.datamigration.models.``NameCheckFailureReason`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `already_exists` = 'AlreadyExists'
  `invalid` = 'Invalid'

class `azure.mgmt.datamigration.models.``ServiceScalability`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `automatic` = 'automatic'
  `manual` = 'manual'
  `none` = 'none'

class `azure.mgmt.datamigration.models.``ResourceSkuRestrictionsType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `location` = 'location'

class `azure.mgmt.datamigration.models.``ResourceSkuRestrictionsReasonCode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `not_available_for_subscription` = 'NotAvailableForSubscription'
  `quota_id` = 'QuotaId'

class `azure.mgmt.datamigration.models.``ResourceSkuCapacityScaleType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `automatic` = 'Automatic'
  `manual` = 'Manual'
  `none` = 'None'

class `azure.mgmt.datamigration.models.``MySqlTargetPlatformType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `azure_db_for_my_sql` = 'AzureDbForMySQL'
  `sql_server` = 'SqlServer'

class `azure.mgmt.datamigration.models.``SchemaMigrationOption`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `extract_from_source` = 'ExtractFromSource'
  `none` = 'None'
  `use_storage_file` = 'UseStorageFile'

class `azure.mgmt.datamigration.models.``SchemaMigrationStage`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `collecting_objects` = 'CollectingObjects'
  `completed` = 'Completed'
  `completed_with_warnings` = 'CompletedWithWarnings'
  `deploying_schema` = 'DeployingSchema'
  `downloading_script` = 'DownloadingScript'
  `failed` = 'Failed'
  `generating_script` = 'GeneratingScript'
  `not_started` = 'NotStarted'
  `uploading_script` = 'UploadingScript'
  `validating_inputs` = 'ValidatingInputs'

class `azure.mgmt.datamigration.models.``DataMigrationResultCode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `fatal_error` = 'FatalError'
  `initial` = 'Initial'
  `object_not_exists_in_source` = 'ObjectNotExistsInSource'
  `object_not_exists_in_target` = 'ObjectNotExistsInTarget'
  `target_object_is_inaccessible` = 'TargetObjectIsInaccessible'

class `azure.mgmt.datamigration.models.``ErrorType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `default` = 'Default'
  `error` = 'Error'
  `warning` = 'Warning'